Welcome

Thank you for choosing DBI Staff Scheduler Professional.

Staff Scheduler Professional is the visually intuitive Employee/Staff Scheduling application for small and medium-sized businesses.

Staff Scheduler Professional is designed for the business-person who is looking for a no-nonsense, straightforward tool to assist them with day-to-day scheduling of their staff.

With Staff Scheduler Professional you will maximize your planning efforts. You can print , email , and publish your schedule plans on the web.

And you can realize significant savings in your labor cost by scheduling your staff for the tasks that need to accomplished rather than finding work for your staff.

DBI Technologies Inc.

702-44 Princess Street

Winnipeg, Manitoba, Canada

R3B 1K2

Sales: | 1-800-670-8045 (within North America) 1-204-985-5770 staff-scheduler@dbi-tech.com
Technical Support: | www.dbi-tech.com/staff-scheduler/support.asp ss-support@dbi-tech.com
Web Site: | www.staff-scheduler.com


What's new in this release

Staff Scheduler Professional is designed with many new features and enhancements to give you a competitive advantage. With Staff Scheduler Professional , you can plan your staff schedules faster and more efficiently than ever before. You can also increase your profit margins by accurately forecasting your labor costs, cost per cover, and comparing them to your actual costs.

Staff Scheduler Professional now includes ...

  • Covers per Labor Hour

  • Position/Wage History - allows for the setting of an employee's wage for any position effective on a given date. Retains historical accuracy of cost analysis and payroll reporting.

  • Labor Analysis Report - analyze the scheduled versus actual Covers per Labor Hour and Cost per Cover for each position and department.

  • Scheduled/Actual Analysis - analyze the scheduled hours and costs versus the actual values.

  • Print by Department option for 7 and 28 Day Schedules.

  • Print by time period for Daily Sign In Sheet .

  • Availability Definition in increments of 30 minutes.

  • Extended Shift menu options including direct assignment of selected employee (from Staff List or Available list), or selected position (from Position/Task list).

  • Enhanced Payroll Export to allow editing of Unpaid Stat and Other$ fields prior to export.

  • Automatic update from previous versions of Staff Scheduler Professional.

Some of the features found only in the Professional version of Staff Scheduler:

  • Unpaid time (i.e. coffee and lunch breaks)

  • Statutory Holidays

  • Overtime

  • Actual hours worked

  • Export to payroll

  • Staff Filtering (availability, experience, days-off, schedule exceptions, already scheduled)

  • Back-up and Restore

  • Copy time bars from one day to the next day

  • Reports (New: Staff Hours, Daily sign-in sheet, Actual and Scheduled, Payroll and Staff-overtime, Attendance Exceptions)

  • System Security (Three levels: Administrator, read/write, read only)

  • Labor Burden - planned or actual (compare revenue to labour cost)

To lean more about all the features and functionality of Staff Scheduler Professional visit:

www.staff-scheduler.com


System Requirements

Staff Scheduler Professional will run effectively on almost any current Windows system with few requirements.

However, the following are the minimum requirements for using Staff Scheduler Professional:

  • Windows XP SP2

  • Minimum display: 1024 X 768, True Color (32 bit)


Notices

DBI reserves the right to change any and all Information contained within this guide and all associated web site references, without notice. The examples contained herein are meant to be fictitious. Any reference to actual people, company, organizations or products is coincidental and is not intended.

The user of this product assumes the obligations of use under existing copyright laws.

The information contained within this document is the sole property of DBI and reproduction or distribution of any kind is strictly forbidden without the written consent of DBI Technologies Inc.

DBI reserves the right to modify, upgrade, correct our software programs and publications without notice and assumes no liability in that event.

This product is published by:

DBI Technologies Inc.

702-44 Princess Street

Winnipeg, Manitoba, Canada

R3B 1K2

Sales: | 1-800-670-8045 (within North America) 1-204-985-5770 staff-scheduler@dbi-tech.com
Technical Support: | www.dbi-tech.com/staff-scheduler/support.asp ss-support@dbi-tech.com
Web Site: | www.staff-scheduler.com


Installing Staff Scheduler Professional

The Staff Scheduler Professional installation program automatically installs all the required components of the Staff Scheduler Professional application.

Once you have run the install on you computer you have the option of running it in evaluation mode for 60 days or activating the license on the computer.

For more information on the Evaluation and Licensed modes please see Run-mode .


Run-mode

Use the Licensing Activation form to unlock (license) Staff-Scheduler for unlimited use, to transfer the license to a different computer, or remove the license from a computer.

When you run Staff-Scheduler for the first time, the Licensing Activation form is displayed

Evaluation Mode

The licensing activation form will continue to display automatically, before Staff Scheduler Proessional begins, throughout the evaluation period. In trial mode, the form displays the number of days left in the evaluation period (up to 60 days). When the evaluation period has expired, Staff Scheduler Professional will not start without being provided an activation code.

Licensed Mode

When a valid activation code has been provided and Staff Scheduler Professional runs in Licensed mode (unlocked), the licensing activation form will no longer display before the application starts. In Licensed Mode, the form can be displayed if desired by holding down the "Scroll Lock" on the keyboard and simultaneously double-clicking the DBI Staff Scheduler Pro icon on your desktop.

To run Staff Scheduler Professional in Evaluation mode

  1. Ensure that the "Enter Application" option is selected.

  2. Click the "Continue" button

To run Staff Scheduler Professional in Licensed mode

  1. Procure an Activation Code from DBI Technologies:

    • Click the "Email Site/MID" button to send an email message to DBI. This email message contains your machine-specific site code and MID code that DBI will use to generate your unique activation code.

      NOTE: This option is only to be used if you have already purchased a license from DBI and have not yet received an Activation Code.

    • Alternatively, click the " Activate" button to automatically open up your browser on the DBI Staff Scheduler secure order page to place your order for an Activation Code.

      NOTE:       The Order form will be automatically populated with your machine-specific site code and MID code that DBI will use to generate your unique activation code.

  2. When you receive your "Activation Code":

    1. Click the "Unlock Application" option in the Licensing Activation form (pictured above).

    2. Copy / Paste or type your unique Activation code into the form (below the "Unlock Application" option).

    3. Click the "Continue" button.

Your copy of Staff Scheduler Professional is now licensed and the Licensing Activation form will no longer display automatically when you start up the application.

NOTE: If you have any difficulties with the Evaluation Mode or with licensing of Staff Scheduler Professional please contact Staff Scheduler support:

Email: | ss-support@dbi-tech.com
Phone: | (204) 985-5770 (North America)


Transferring a License Activation

To transfer a license activation from one computer to another please perform the following steps ...

IMPORTANT: Please make a hard copy backup of your Activation code (in a text file or hand written document) for your records. The Activation code is used to transfer the license to a new computer from a licensed computer or to remove a license. For more information please refer to the "Transfer License" topic in the User Guide or Online Help.

  1. Install and run the Staff Schedule Professional software on the new computer.
  2. Press the Scroll Lock key on the old computer and run the software.
  3. When the software starts up the licensing form will appear. Click on the Transfer radio button.
  4. Enter the original Initialization Code in the Init code field and the site code from the new computer's licensing form into the New Site code field in the old computer's licensing form.
    NOTE: This is the Activation Code you received when you activated the license on the old machine.
  5. Press the Continue button to obtain the Activation code for the software on the new computer.
  6. Enter the new Activation code into the new computer before pressing the OK button and closing the transfer dialog on the old machine.


Splash Screen

Whenever you start the Staff Scheduler Professional application, the "splash screen" will be displayed.

This screen provides you with the version number of the application (top right of the screen).

To continue, press any key or use your mouse to left-click anywhere on the screen.


First-time Use

When the Staff Scheduler Professional software is run for the first time user is prompted to select a database to connect to.

When the OK button is pressed the user is prompted to select the database file to connect the software to ...

NOTE: This is only required the first time the software is connected to the database. Thereafter, the software will automatically attach itself to selected database without user input.

The dialog is defaulted to the empty database found in the software's install directory in the Data sub-directory. First time users of the software should use this database.

IMPORTANT NOTE : If you are upgrading from a previous version of Staff Scheduler Professional, please select TSData32.TSD file from your previous installation. The software will allow you to restore from a backup or set up the database for the first time in a subsquent dialog.

After the splash screen is presented Staff Scheduler Professional detects that it is being run for the first time since installation or reinstallation. You are given the opportunity to restore the database from a backup or set up the database for the first time.

To setup Staff Scheduler Professional for the first time (no backup to restore):

  • Click "No"

  • Click the OK button. Staff Scheduler Professional will guide you through a brief series of four forms so that you can provide the basic setup information that it needs to create and display your schedule plans.

    Click     here to lean more.

To reinstall and restore your backup data

  • Click "Yes"

  • A dialog box will prompt you to navigate to your backup file and select it.

    Click     here to learn more.
    Note:     You will not be prompted to provide system "First-time Use" information.


Restoring Data from Backup

If you have been working with Staff Scheduler Professional but you have needed to reinstall the application to your system, Staff Scheduler Professional provides you with the opportunity to restore your data without asking you to provide all the first-time use information.

Restoring data from a backup resets Staff Scheduler Professional with the same system, department, positions / tasks, and staff member information as at the time of that backup. Also, all your schedule plans are reinstalled so that you may continue working from the point at which you left off.

To restore data from a backup

  1. Click the "Browse" button

    A dialog window is displayed, allowing you to navigate to your backup file.

  2. Navigate to the Archive directory and select your backup file.

    NOTE: Backup files have a .TSD extension and their names reflect the Year, Month, Date and time on which they were created.

    NOTE: Archive files do not have to be in the Archive directory which is the default for backup files. The location and name of the file is set at the time the back up is created.

  3. Click the "Open" button to load your backup file into Staff Scheduler Professional.

    A message box will be displayed when Staff Scheduler Professional has completed the restoration of your backup.

  4. Click "OK" to continue.


Setting up the System for the First Time

When Staff Scheduler Professional is used for the first time, the application guides you through a series of forms so that you can provide some fundamental information that software needs before it can be used to create schedule plans.

In a few steps, Staff Scheduler Professional will gather information about:

  1. The System (your company information and how you want your schedule plans to be displayed when you work with them).

  2. The Departments under which your staff should grouped when they are scheduled.

  3. The Positions / Tasks that need to be scheduled on a regular basis.

  4. The Staff members themselves (their names and optional information about their contact information and availability).

To continue software setup

  • Click "OK"

    Staff Scheduler Professional will display each of the four setup forms, one at a time.

    Click     here to learn more.


Setting Up Staff-Scheduler

To create your scheduling plans, Staff Scheduler Professional requires some information that is particular to your company and staffing operation.

When Staff Scheduler Professional is used for the first time, you are given the opportunity to provide at least the minimum of information that is needed by the application.

You may, at any time, return to the Maintenance section of the application to add or modify the details of your general system settings or of your departments, positions and tasks, or your staff information.


Setting Up Departments

You can organize your plan by showing your scheduled staff members or positions / task under the particular department headings to which they belong.

Setting departments is important for filtering or calculating subtotals in some Staff Scheduler Professional reports. You can print some reports for individual departments.

The following Staff Scheduler Professional reports can be filtered by department or can show subtotals by department:

  • 7 Day Schedule

  • 28 Day Schedule

  • Daily Sign In Sheet

  • Staff Hours Report

  • Position Hours Report

  • Staff Cost Report

  • Staff Attendance Exceptions

  • Payroll Report

Use the "Departments" form to add, edit or delete departments for your scheduling plans and reports.


Adding Departments

Adding departments is quick and easy. Only the long and short descriptions are required.

To add departments:

  1. Click the "New" button in the command bar at the top of the form.

  2. Enter a "Description" (full name) for the department. REQUIRED

  3. Enter a "Short Description" for the department. REQUIRED

    The shorter description will be used to abbreviate department names in some reports.

    Provide a meaningful abbreviation using 5 characters or less.

  4. Enter a "Department Number". NOT REQUIRED/OPTIONAL

    This number is optional but it may be used to correspond with the number for a department as found in another software system such as your accounting system.

  5. Enter an Export ID. This number is used to identify the department when using the Export functionality of the Staff Scheduler Professional software. NOT REQUIRED/OPTIONAL

  6. Add any notes or comments about the department. NOT REQUIRED/OPTIONAL

    NOTE:     The department notes are surfaced in the explorer interface when building schedule plans.

  7. Leave the "Active" checkbox set "ON" (checked) to display the department in the list with the other active departments. The Active flag allows the user to determine which departments show up in the explorer interface when building schedule plans.

  8. Click the "Save" button.

    The new department is added and displayed in the list of departments.

TIP: Note text is displayed as a pop-up in the " Departments " list. Moving your mouse pointer over a listed department (without clicking) will display a pop-up window that displays your notes. Use department notes to save and show important reminders while you schedule your plan.


Editing Departments

At any time, you can change department set-up information.

Editing department set-up information is especially useful for setting the "Active" status of defunct or retired departments or for adding optional department information at a later time. Any detail can be modified and saved changes are instantly reflected in throughout the entire application.

To edit a department:

  1. Select a department by clicking on it.

    Click     here to learn more about finding departments in the list.

  2. Click the "Edit" button in the command bar at the top of the form.

  3. Modify or add any details as desired.

  4. Click the "Save" button.

TIP: Note text is displayed as a pop-up in the " Departments " list. Moving your mouse pointer over a listed department (without clicking) will display a pop-up window that displays your notes. Use department notes to save and show important reminders while you schedule your plan.


Deleting Departments

You can permanently delete a department from Staff Scheduler. Professional.

IMPORTANT NOTE: If the department that you want to delete is used in any saved schedule plan, you will need to remove all references to the department from those plans.

To delete a department:

  1. Select a department by clicking on it.

    Click     here to learn more about finding departments in the list.

  2. Click the "Delete" button in the command bar at the top of the form.

    If the selected department is ...

    • not referenced in any saved plan, Staff-Scheduler displays a message box, asking you to confirm the permanent deletion of the department.

    • is referenced in any saved plan, Staff-Scheduler displays a message box, informing you that the deletion will not be permitted.

  3. Click "OK" to confirm deletion or to confirm that the department is scheduled.

TIP: Mark the Active checkbox "OFF" (unchecked) rather than trying to delete a department that is no longer used. In this way, you will not have to remove past scheduled references to delete the department. Inactive departments do not appear in lists of departments when creating new schedule plans.


Setting Up Positions/Tasks

Positions/Tasks are the actual jobs to which you will assign your staff members in your schedule plan.

Depending on how you choose to work with your schedule plan, you will either:

  • Schedule by Position
    You assign staff members to unassigned shifts for each position listed in each department in the schedule plan.

    Click here     to lean more,

  • Schedule by Staff
    You assign positions/tasks to unassigned shifts for each staff member listed in each department in the schedule plan.

    Click here     to learn more.

See also: Schedule Plan Defaults


Adding Positions/Tasks

Adding positions/tasks is quick and easy. Only the long and short descriptions are required.

To add positions/tasks:

  1. Click the "New" button in the command bar at the top of the form.

  2. Enter a "Description" (full name) for the position/task. REQUIRED

  3. Enter a "Short Description" for the position/task. REQUIRED

    The shorter description will be used to abbreviate position/task names in some reports.

    Provide a meaningful abbreviation using 5 characters or less.

  4. Enter a "Position Number". NOT REQUIRED/OPTIONAL

    This number is optional but it may be used to correspond with a code for a position/task as found in another software system such as your accounting system.

  5. Enter an Export ID. This number is used to identify the Postion/Task when using the Export functionality of the Staff Scheduler Professional software. NOT REQUIRED/OPTIONAL

  6. Add any notes or comments about the position/task. NOT REQUIRED/OPTIONAL

    NOTE:     The Position/Task notes are surfaced in the explorer interface when building schedule plans.

  7. Leave the "Active" checkbox set "ON" (checked) to display the position/task in the list with the other active position/task.

  8. Click the "Save" button.

    The new position/task is added and displayed in the list of position/tasks.

TIP: Note text is displayed as a pop-up in the " Positions/Tasks " list. Moving your mouse pointer over a listed Position/Task (without clicking) will display a pop-up window that displays your notes. Use position/task notes to save and show important reminders while you schedule your plan.


Editing Positions/Tasks

At any time, you can change position/task set-up information.

Editing position/task set-up information is especially useful for setting the "Active" status of defunct or retired position/task or for adding optional position/task information at a later time. Any detail can be modified and saved changes are instantly reflected in throughout the entire application.

To edit a position/task:

  1. Select a position/task by clicking on it.

    Click     here to learn more about finding position/tasks in the list.

  2. Click the "Edit" button in the command bar at the top of the form.

  3. Modify or add any details as desired.

  4. Click the "Save" button.

TIP: Note text is displayed as a pop-up in the " Positions/Tasks " list. Moving your mouse pointer over a listed Position/Task (without clicking) will display a pop-up window that displays your notes. Use position/task notes to save and show important reminders while you schedule your plan.


Deleting Positions/Tasks

You can permanently delete a position/task from Staff-Scheduler.

IMPORTANT NOTE: If the position/task that you want to delete is used in any saved schedule plan you will need to remove all references to the position/task from those plans. Also, if the Position/Task is associated with any Actual Hours records those records will have to be removed before the Position/Task can be deleted.

To delete a position/task:

  1. Select a position/task by clicking on it.

    Click     here to learn more about finding position/task in the list.

  2. Click the "Delete" button in the command bar at the top of the form.

    If the selected position/task is ...

    • not referenced in any saved plan, and if the position/task is not related to any Actual Hours records, a message box is presented asking you to confirm the permanent deletion of the position/task.

    • is referenced in any saved plan, a message box is displayed informing you that the deletion will not be permitted.

    • is referenced in any Actual Hours records, a message box is displayed informing you that the deletion is not permitted.

  3. Click "OK" to confirm deletion or to confirm that the position/task is scheduled.

TIP: Mark the Active checkbox "OFF" (unchecked) rather than trying to delete a position/task that is no longer used. In this way, you will not have to remove past scheduled references to delete the position/task. Inactive position/tasks do not appear in lists of positions when creating new schedule plans.


Viewing Position/Task Schedule

In addition to adding, editing, or deleting positions, you can view and, optionally, print a schedule of staff assignments for a particular position/task over a given period of time.

The calendar displays the time assignments and the staff name for the selected position/task for each day in the calendar. As a reminder, the short description of the selected position/task is displayed in the form's name (top-left).

To view a schedule for a position/task:

  1. Select a position/task by clicking on it.

    Click     here to learn more about finding position/task in the list.

  2. Click the "View Schedule" button in the command bar at the top of the form.

    A form is displayed showing a schedule for the selected position/task.

    NOTE: By default, the current month's start and end dates are pre-selected.

  3. Enter a "From" date.

    The calendar re-displays the calendar view according to the new date.

    Click     here to learn more about entering dates in Staff-Scheduler.

  4. Enter a "To" date.

    The calendar re-displays the calendar view according to the new date.

    Click     here to learn more about entering dates in Staff-Scheduler.

  5. Optionally, click the "Print" button to send the schedule to the printer.

  6. Click the "Close" button to close the calendar and return to the Positions/Tasks setup form.

NOTE: While about one month's amount of information can be displayed at one time in the calendar view, you can extend the amount of information that is displayed in the calendar to many months worth of information. Use the vertical scroll bar on the right of the calendar to move backward and forward through the displayed schedule.


Setting Up Staff Information

The heart of Staff Scheduler Professional is the assignment of staff members to those tasks that they will perform at particular dates and times during the period of your schedule plan.

Depending on how you choose to work with your schedule plan, you will either:

  • Schedule by Position
    You assign staff members to unassigned shifts for each position listed in each department in the schedule plan.

    Click     here to lean more,

  • Schedule by Staff
    You assign positions/tasks to unassignedshifts for each staff member listed in each department in the schedule plan.

    Click     here to learn more.

With Staff Scheduler Professional, you effectively manage the cost of each staff member and you make sure that they know when they need to be on the job.


Adding Staff

Adding your staff information is quick and easy. Only the first and last names, and gender initially are required.

To add staff:

  1. Click the "New" button in the command bar at the top of the Staff form.

  2. Enter the staff member's Last and First names. REQUIRED

    Optionally, you may enter a middle initial.

  3. Enter an "Employee #". NOT REQUIRED/OPTIONAL

    This is an optional field in the event that you make use of employee numbers or codes.

  4. Leave the "Active" checkbox set "ON".

    If you intend to schedule this staff member into a current schedule plan, they need to be marked as "Active". However, if an employee leaves your employment, you may mark them as inactive to exclude them from being listed when creating new schedules.

    TIP: Mark the Active checkbox "OFF" rather than trying to delete an employee that has left your employment.

  5. Enter the employee's "Address" information in the "Address" group of fields. NOT REQUIRED/OPTIONAL

    This is optional information that will be displayed in the "     Staff List " report if you provide it here.

  6. Enter the employee's "Contact" information in the "Contact" group of fields. NOT REQUIRED/OPTIONAL

    This is optional information. The "Phone" and "Other" information will be displayed in the "     Staff List " report if you provide it here. The "Emergency" information is not displayed in any report but is available in this "Staff" form for your convenience.

  7. Check "ON" each of the employee's "Regular Days Off". NOT REQUIRED/OPTIONAL

    TIP: While this is optional information, we recommend that you provide this information to Staff-Scheduler. Doing so allows Staff Scheduler Professional to help you check for scheduling conflicts as you create your schedules.

  8. Enter a "Default Hourly Rate" for the employee. NOT REQUIRED/OPTIONAL

    This information is optional. However, If you plan on using Staff Scheduler Professional’s cost-reporting features, you should provide a default hourly wage for each employee.

  9. Enter any "Notes" about your employee.

    The content of "Notes" can be anything you want such as first date of employment or any other information you want to keep that is not used by the software but that you may want to reference at a later time.

TIP: The text you enter in the "Notes" area is displayed as a pop-up in the " Staff " list. Moving your mouse pointer over a listed Staff name (without clicking) will display a pop-up window that displays your notes. Use staff notes to save and show important reminders (such as a start of employment date) while you schedule your plan.


Editing Staff

At any time, you can change staff set-up information.

To edit staff information:

  1. Select a position/task by clicking on it.

    Click     here to learn more about finding staff members in the list.

  2. Click the "Edit" button in the command bar at the top of the form.

  3. Modify or add any details as desired.

  4. Click the "Save" button.

TIP: Note text is displayed as a pop-up in the " Staff " list. Moving your mouse pointer over a listed Staff name (without clicking) will display a pop-up window that displays your notes. Use staff notes to save and show important reminders (such as a start of employment date) while you schedule your plan.


Deleting Staff

You can permanently delete a staff member's profile from Staff-Scheduler.

IMPORTANT NOTE: If the staff member that you want to delete is used in any saved schedule plan or is connected to any Actual Hours records you will need to remove all references to the staff member from those plans and remove the Actual Hours Records.

To delete staff:

  • Select a staff member's profile by clicking on it.

    Click     here to learn more about finding position/task in the list.

  • Click the "Delete" button in the command bar at the top of the form.

    If the selected staff member ...

  • is referenced in any saved plan a message box is displayed informing you that the deletion will not be permitted.

  • is referenced in any Actual Hours records a message box is displayed informing you that the deletion will not be permitted.

  • is not referenced in any saved plan a message box is displayed asking you to confirm the permanent deletion of the position/task.

Click "OK" to confirm deletion or to confirm that the staff member is scheduled.

TIP: Mark the Active checkbox "OFF" (unchecked) rather than trying to delete an employee that has left your employment. In this way, you will not have to remove past scheduled references to delete the employee profile. Inactive employee profiles do not appear in lists of staff when creating new schedule plans.


Schedule

Staff - Schedule

In addition to adding, editing, or deleting staff profiles, you can view and, optionally, print a schedule of scheduled assignments for a particular staff member over a given period of time.

The calendar displays the time assignments and the assigned positions/tasks for the selected staff member for each day in the calendar. As a reminder, the name of the selected staff profile is displayed in the form's name (top-left).

To view a schedule for a staff member:

  1. Select a staff profile by clicking on it.

    Click     here to learn more about finding staff profiles in the list.

  2. Click the "Schedule" button in the command bar at the top of the form.

    A form is displayed showing a schedule for the selected staff member.

    NOTE: By default, the current month's start and end dates are pre-selected.

  3. Enter a "From" date.

    The calendar re-displays the calendar view according to the new date.

    Click     here to learn more about entering dates in Staff-Scheduler.

  4. Enter a "To" date.

    The calendar re-displays the calendar view according to the new date.

    Click     here to learn more about entering dates in Staff-Scheduler.

  5. Optionally, click the "Print" button to send the schedule to the printer.

  6. Click the "Close" button to close the calendar and return to the Staff profile setup form.

NOTE: While about one month's amount of information can be displayed at one time in the calendar view, you can extend the amount of information that is displayed in the calendar to many months worth of information. Use the vertical scroll bar on the right of the calendar to move backward and forward through the displayed schedule.


Schedule Exceptions

Staff - Schedule Exceptions

You can create schedule exceptions for individual staff members. Schedule exceptions are singular dates and times that staff members will not be available during their usually available periods.

Examples of scheduling exceptions are medical appointments, sick leave, or vacation time.

While assigning staff to your schedule, Staff Scheduler Professional will inform you when you are scheduling someone with a scheduling exception at that same time.

Note that the selected employee's name is displayed. as a reminder, in the form's title (top left-hand side of the form).

You can print a list of all schedule exceptions for all staff members through a given period of time the " Exception " report.

To create a scheduling exception:

  1. Select a staff profile by clicking on it.

    Click     here to learn more about finding staff profiles in the list.

  2. Click the "Schedule Exceptions" button in the command bar at the top of the form.

    A form is displayed showing all schedule exceptions for the selected staff member.

  3. Click the "New" button in the command bar at the top of the form.

  4. Enter a description of the exception.

  5. Enter the "From" date of the exception.

    A default value of today's date is initially displayed.

    Click     here to learn more about entering dates in Staff Scheduler Professional.

  6. Enter the "From" time of the exception.

    A default value of 12:00 AM (beginning of the say) is initially displayed.

    Click     here to learn more about entering times in Staff Scheduler Professional.

  7. Enter the "To" date of the exception.

    A default value of today's date is initially displayed.

    Click     here to learn more about entering dates in Staff Scheduler Professional.

  8. Enter the "To" time of the exception.

    A default value of 11:59 PM (end of the say) is initially displayed.

    Click     here to learn more about entering times in Staff Scheduler Professional.

  9. If the exception is a "Vacation Request", click the "Vacation Request" checkbox to set it "ON" (checked).

    NOTE: Vacation requests can be listed alone in the "     Exception " report.

  10. Click the "Save" button to add the scheduling exception to the list of exceptions for the selected employee.

  11. Click the "Close" button in the command bar at the top of the form to close the "Schedule Exceptions" form and return to the Staff profiles form.


Availability

Staff - Availability

You can tell Staff Scheduler Professional when individual staff members are available to be scheduled. The Schedule Availability form allows you to quickly indicate which days and times in the week that a staff member is available to be scheduled.

You can mark a staff member as available for an entire day by clicking the All Day button.

Alternatively, you can indicate discrete "to" and "from" times for each day of the week that an employee can be normally scheduled.

Clicking the 30 Minute Increments check box allows the user to define availability in 30 minute increments starting from the half hour within an hour.

When assigning staff to your schedule plan, Staff Scheduler Professional's conflict checking features will ensure that, barring any schedule exceptions , experience conflicts, or conflicting assignments , a particular staff member is free to be scheduled.


Add Availability

Staff - Add Availability

The "Staff Availability" displays a weekly calendar that represents any week of the year for the selected staff member. Adding availability is as easy as clicking and dragging with your mouse.

To add an availability:

  1. Select a staff profile by clicking on it.

    Click     here to learn more about finding staff profiles in the list.

  2. Click the "Availability" button in the command bar at the top of the form.

    The Staff Availability form is displayed for the selected staff member.

    Note that the selected employee's name is displayed. as a reminder, in the form's title (top left-hand side of the form).

  3. You can indicate availability times of the selected member, for any day of the week, in one of two ways:

    1. Click the "all Day" button at the top of any day to mark the selected staff member as available for the entire day.

    2. Click-and-hold a start time in any day of the week and drag to and end time in that day.

      A pop-up menu is displayed, allowing you to add the selected availability (shown in dark blue) or to cancel the operation.

      Click the "Add Availability".

      The selected area now shows an "Availability" at that time, on that day, for the selected staff member.

  4. The Availability is displayed, indicating the start and end times of the availability.

  5. You may adjust the start and end times of an availability by clicking and dragging (holding down the left mouse button) on either the top or bottom of the availability respectively and dragging the end to a new time.

  6. Click "Close" in the command bar at the top of the form to close the "Schedule Availability" form and display the "Staff" profile form.


Delete Availability

Staff - Delete Availability

You can delete any availability that has been added to the "Schedule Availability" form for a selected employee.

To delete an availability:

  1. Select a staff profile by clicking on it.

    Click     here to learn more about finding staff profiles in the list.

  2. Click the "Availability" button in the command bar at the top of the form.

    The Staff Availability form is displayed for the selected staff member.

    Note that the selected employee's name is displayed. as a reminder, in the form's title (top left-hand side of the form).

  3. Right-click an existing availability.

    A pop-up menu is displayed.

  4. Click the "Delete Availability" option to remove the ability for the selected staff member.

    (Click "Cancel" to cancel the delete operation).

  5. Click "Close" in the command bar at the top of the form to close the "Schedule Availability" form and display the "Staff" profile form.


Position/Wage

Staff - Position/Wage

Staff Scheduler Professional can assist you in scheduling your staff into positions/tasks for which they are experienced.

You can also indicate that staff members are to be paid an hourly wage that is different from their default wage when they are assigned to certain positions / tasks.

When assigning staff members to positions / tasks in your schedule plan, Staff Scheduler Professional will verify that the staff member is qualified, by the experience you indicate, to fill the position.

The Position Wage details form is a read only interface to the Position/Wage records for the employee. To manage the Position/Wage records for all employees, please refer to Position/Wage Maintenance .

NOTE: In order to use this feature, you will have needed to setup Positions/Tasks in advance.

NOTE: If no Position/Wage details exist, the staff member’s cost is calculated using the Default Hourly Rate as defined in the Staff Member’s profile .


Maintaining Position/Wage Information

Position/Wage records are used to indicate experience (when assigning staff to shifts) and the hourly wage paid to a staff member for performing a particular Position/Task. Each Position/Wage record includes an effective date that defines when the wage comes into effect.

NOTE: An employee can have many Position/Wage records related to one Position/Task to indicate a change in hourly wage over a period of time.

The Position/Wage List displays each active staff member in bold with their related Position/Wage records displayed beneath them, sorted by Position/Task and Effective Date.

To navigate to a particular staff member the user can scroll up or down using the scroll bar to the right of the list, select an item in the list and press the Up/Down arrow keys or Page Up/Page Down keys, or enter the last name (or portion of the last name) in the Find Staff member text box and press the Go button.

To hide/show the position/wage records under all staff members click the Close All (Open All) button at the top right of the list.

Adding New Position/Wage Records

To Add a new Position/Wage record to a Staff member, select the member in the list and press the Add button in the menu, or press the Enter Key, or double click the mouse on the list entry.

A dialog is opened in the form to allow for the description of the new Position/Wage record.

NOTE: The user must select a Position/Task from the drop down list, set the Hourly Rate, and select an effective date before the record can be saved. The Hourly Rate is defaulted to the Staff Member's default hourly wage, and the effective date is defaulted to the current day.

NOTE: The Effective Date must be after the Last Payroll Export Date to maintain the integrity of the payroll export functionality.

When the entry is complete press the Save button and the Position/Wage will be added to the list.

Edit Position Wage records

To edit a Position/Wage record, select the record in the list and press the Edit button in the menu, or press the Enter key on the keyboard, or double click the mouse on the item in the list.

NOTE: If the Effective Date of the Position/Wage record is equal or prior to the Last Payroll Export Date, the Position/Wage record is locked to preserve the integrity of the payroll export functionality.

When the entry is complete press the Save button and the Position/Wage record will be updated in the list.

Delete Position/Wage records

To Delete a Position/Wage record from the list, select the record in the list and press the Delete button in the menu, or press the Delete key on the keyboard.

The user is prompted to confirm the delete request. Pressing the Yes button deletes the Position/Wage record from the Staff member.

NOTE: If the Effective Date of the Position/Wage record is equal or prior to the Last Payroll Export Date, the Position/Wage record is locked to preserve the integrity of the payroll export functionality.

Filtering the Position/Wage Records

Checking the Minimum Effective Date check box will filter the list to present only those Position/Wage records with effective dates greater than or equal to the date selected.


Setting up the System

The System setup form allows you to provide Staff-Scheduler with the general information that will be used every time you start Staff-Scheduler and work with your schedule plans.

Click on an area of the image to show a description of that area:

NOTE: When System Security (password protection) is enabled, this System form is available only to users that have been given System Administrator privileges.


System - Company Name

Enter the name of your company or organization.

What you enter here will be shown on all reports.

NOTE: This field is required.


System - Security

Staff Scheduler Professional can be secured with a password protection.

When System Security is enabled, Staff Scheduler Professional will ask for a user ID and password each time it is started.

To enable System Security and password protection:

  1. Click the "Enable System Security" checkbox ON.

  2. Click the "User Management" button.

    A form is be displayed to add user ID's and password, each with their own levels of system access.

  3. Modify the default "System Administrator Password".

To disable System Security and password protection:

  • Click the "Enable System Security" checkbox OFF. When this checkbox is unchecked, Staff-Scheduler will run for any user without asking for ID and password confirmation, regardless of any "User Management" security accounts that have already been established.

    NOTE     : "User Management" accounts that have been created are preserved, even when "Enable System Security" is checked OFF.

IMPORTANT: When System Security is enabled, Staff-Scheduler will not run unless a valid login ID and password are provided. Staff-Scheduler will allow three attempts to enter a valid combination after which Staff-Scheduler will shut down.

NOTE: Passwords can contain numbers, letters or a combination of both. Password can be any length up to 10 characters. Passwords are case sensitive.


System - Security: User Management

When System Security is enabled, security accounts may be created to enable or restrict the activities of users.

Any number of security accounts may be created. Accounts may be created with three different authorization levels:

  • Administrator:

    • modify schedule plans

    • make modifications to the System Maintenance menu option and form.

  • Read/Write:

    • may modify schedule plans

    • has no access to the System Maintenance menu option and form.

  • Read Only:

    • may view schedule plans.

    • may not modify schedule plans.

    • has no access to the System Maintenance menu option and form.

To add User Security Accounts:

  1. Click the "New" button in the command bar at the top of the form.

    The "account information" area at the bottom of the form is enabled for entry.

  2. Enter the new user's name, a login ID and a password.

    IMPORTANT NOTE: Passwords are case-sensitive and may be of any length up to 10 characters.

  3. Select an Authorization level for the new user.

  4. Click the "Save" button to add this user's account to the list.


System - Security: System Administrator Password

System - Security

System Administrator Password

The system administrator ID and password is always available to the system, regardless of the number of User Management ID's and passwords that have been created.

At any time, when System Security is enabled, you may login to Staff-Scheduler with full administrative privileges using:

  • user ID "Administrator" (without quotation marks)

  • the System Administrator password you enter here.

NOTE: The System Administrative password is case sensitive and may of any length up to 10 characters.


System - Conflict Checking

When you assign staff to your schedule plans, Staff Scheduler Professional can alert you, at the time of assignment, if a staff member is:

  • already assigned to the plan at that same time, or is regularly unavailable at that time, or has a single scheduling exception for that time.

  • not listed as experienced for a particular position / task.

While conflict checking is optional, with only a little setup time, conflict checking can become a invaluable for getting your scheduling plans right the first time and avoiding the costs associated with reworking your plan because of unavailable or unqualified staff members.

To enable conflict checking for Staff Availability:

  • Click the "Conflict Check Staff Availability" checkbox ON.

  • In the Staff Maintenance area, set up staff availability and scheduling exceptions.
    (see the "Staff" option under the "Maintenance" menu)

To enable conflict checking for Staff Experience:

  • Click the "Conflict Check for Staff Experience" checkbox ON.

  • In the Staff Maintenance area, set up staff positions and wages.
    (see the "Staff" option under the "Maintenance" menu)


System - Run Import at Startup

Determines if the Import function is run when the application is started up.

NOTE : This flag is only available for installations using an import facility.

This flag will not be visible if the system is not set up to perform an import from an external source.

NOTE: This field is false by default .


System - Labor Cost/Covers Analysis

System - Labor Cost and Covers Analysis

In order to further refine the management of labor cost in the organization Management must have a better index of labor productivity and no single measure can efficiently accomplish that. Therefore, additional measures are needed to properly analyze labor costs. The additional information needed is readily available as it is compiled on a daily or weekly basis. These measures are:

  • Covers per labor hour
  • Labor cost per cover
  • Labor cost per labor hour

For each Schedule planned and actualized, total labor hours by Department and Position/Task within the department are tallied. Management will compare actual hours worked to those originally scheduled and look for variances. If hours worked are greater than scheduled hours, they will investigate to determine the job category where the variance occurred.

Employee schedules are determined not by revenue but by Coverage Units aka “Covers”; typically customer counts or units of product sold to customers. The “Covers per Labor Hour” is perhaps the most “inflation proof” indicator of labor productivity compiled by a retail operation because it is not distorted by the way sales are affected by price increases and discounts. Although some drops in Covers occur in the long run when prices are increased, Covers per Labor Hour remains the most effective indicator of employee productivity. The number of Covers per Labor Hour is calculated for each job category as well as for the entire payroll by dividing Cover Count by the total labor hours.

To set up the Labor Cost and Covers targets enter the default hourly wage, the target labor cost (Labor Burden), and the Target Covers/Labor Hour.

NOTE: Covers are defined as the unit product/service being sold. Accordingly the Target value is number of units per labor hour. This value is specific and unique to each organization.

  • "Staff Default Hourly Wage" is a default amount that is used when you add staff information to the system. This is merely a default figure and may be changed at the time that a staff person's wage details are entered.

  • "Target Labor Cost" is your target labor burden as percentage of the revenue budget. This figure is used by Staff-Scheduler as you work with the "Labor Cost" budgeting features of the system. NOTE: If the scheduled labor cost % for a day exceeds the target labor cost, the budget line for the day is displayed in red to indicate you are not within your Labor Burden.

  • "Target Covers/Labor Hour" is your desired average Covers per Labor Hour value for all positions within all departments for any given day. In the Budget Tab of the scheduling interface this value is compared to the total number of hours scheduled divided by the projected number of covers for a day. If the number for the day is less than the target, the budget line for the day is displayed in red. If the number for the day is greater than the target then the budget line is displayed in black.


System - New Schedule Plan Defaults

Enter default values for scheduling plans that reflect the way the you want new plans to be set up when initially created.

These values will be used when you create new plans. When you create new plans, you can override these default values.

  1. Select a "Schedule By" option.

    If you intend to plan your schedules by first scheduling positions/tasks, the dates and times they need to be performed, and then assigning staff to those tasks, click the "Positions / Tasks" option button.

    If you intend to plan your schedules by first scheduling staff, assigning the dates and times they work,     and then assigning the positions / tasks to them, click the "Staff" option button.

  2. Enter the "Start" time for the first day of your schedule.

    TIP: Use a value that is a half hour or an hour less than the actual start of business. This will permit you to comfortably view the earliest assignments.

  3. Enter the "End" time for the last day of your schedule.

    NOTE: If your operation goes over midnight, insure your schedule end time coincides with the end time of the latest shift for any given day.

    TIP: Use a value that is a half hour or an hour greater than the actual end of business. This will permit you comfortably view the latest assignments.

  4. Enter the "Schedule Length".

    The Schedule Length value is used by Staff Scheduler Professional as the number of days used to calculate the start day of a new schedule when it is created with the "Copy Schedule " feature.

    If you want your copied schedule plans to begin on the same weekday , enter a value of "7".


System - Schedule Plan Default View

Enter default values for how you want Staff Scheduler Professional to display various features when it starts up.

To set up default views:

  1. Set the "Show Scheduler Bar" checkbox "ON" (checked) to display the Scheduler Bar when Staff-Scheduler starts up.

  2. Set the "Show Explorer" checkbox "ON" (checked) to display the Explorer when Staff-Scheduler starts up.

  3. Set the "Show List View" checkbox "ON" (checked) to display the List View when Staff-Scheduler starts up.

  4. Select "Scheduler Bar Font Size" option.

  5. Select "Scheduler Bar Icon Size" option.


System - Overtime and Statutory Holidays

Staff Scheduler Professional gives you the ability to account for additional labor costs in the event of scheduled overtime and scheduling on statutory holidays . Multipliers are used to factor additional overtime and holiday costs to your schedule plan's labor costs.

When scheduling, Staff Scheduler Professional will warn you, as you assign a staff member to a position / task, if you are incurring daily or weekly overtime costs for that individual.

Holiday and overtime costs are reflected in the Budgeting and Actual Hours features of Staff Scheduler Professional.


System - Unpaid Time Defaults

Enter default values for unpaid time.

The default "Unpaid Time" values are automatically applied to shifts when the are created.

Default values may be overridden for individual time bars by editing the shift in the schedule planner.

NOTE: Unpaid Time values for individual shifts are carried forward to a new schedule plan when using the Copy Schedule functionality in the software.


System - Auto Generate Actual Hours Records

Determines if the application automatically generates and maintains Actual Hours Records when creating or editing shifts.

NOTE: Set this flag to false if Actual Hours are imported from an external system.

NOTE: This field is false by default.


System - Mail Server Setup

To email your schedules to your staff using Staff Scheduler Professional you will need to provide the system with your email server information.

This information will likely be the same as the email server information found in your email client application (i.e. Outlook or Outlook Express).

To setup Staff-Scheduler for email capabilities:

  1. Enter your "SMTP" server.

    This specifies the server for outgoing email messages. You can get this information from your Internet Service Provider or your LAN administrator.

  2. Enter the "From Name" that will appear in the headers of email messages sent by you through Staff Scheduler Professional.

  3. Enter the your "Return" email address.

  4. Enter the "Port" number of your Outgoing (SMTP) server (usually port 25).

    You can get this information from your Internet Service Provider or your LAN administrator.

  5. Set "Authentication Required" checkbox "ON" if you need to provide a user ID and password to send through your email account.

    NOTE: If you select this option, you might be prompted to log on when you connect to this server.

    Logon information (user name and password) is usually supplied by your Internet / Content provider when you sign on for their services.

    • Enter your user or account name.

    • Enter your password.

  6. Click the "Check Connection" button to verify the correctness of your settings.

    If you have correctly entered all required information, the following message boxes are displayed:

    ... and ...

    Click "OK" each time to close the messages.

    If email setup information is inaccurate or missing, the following message is displayed:

    Click "OK" to close the message and verify that all information correctly typed in and that no required fields have been left blank.

    Consult with your Internet service provider or LAN administrator for additional assistance.


System - Database Backup

Staff Scheduler Professional can backup your valuable data to an archive folder.

IMPORTANT NOTE: Staff Scheduler Professional is designed to prompt you with a periodic reminder based on the Database Backup Setting. Staff Scheduler Professional willnot automatically back up your data.

You can set Staff Scheduler Professional to remind you periodically to backup your data to the archive folder..

To set the Database Backup Prompt:

  • Enter the number of days since the last backup after which you want Staff Scheduler Professional to remind you to backup.

NOTE: Backup data is stored in separate files (with a TSD extension) in the archive folder (C:\Program Files\DBISSPro\Data\Archive) by default.


Creating Schedule Plans

The heart of the Staff Scheduler Professional functionality is the schedule planner interface.

The schedule planner is the visual area where you create shifts for your positions and assign staff to those shifts.

Assigning staff to shifts is as simple as dragging and dropping a staff member's name from the staff list to a "unassigned" or an assigned shift. Alternatively, selecting a staff member in the list and right-mouse clicking on a shift will also assign the selected staff member.

Unassigned shifts display as dark blue bars. Shifts that have been assigned to staff members display as light blue bars and show the staff members name in the shift.

All shifts display the start and end times of the assignment in the lower left-hand corner of the shift.

When a shift is selected (clicked on), you can also see the start and end times, indicated as red lines, in the time ruler at the top of the schedule planner.

Shifts can be moved , resized , copied to the next day assigned or unassigned, their details can be edited , and they can be deleted all from within the schedule planner.

Depending on how you choose to work with your schedule plan, you will either:

  • Schedule by Position
    You assign staff members to unassigned shifts for each position listed in each department.

    Click     here to lean more,

  • Schedule by Staff
    You assign positions/tasks to unassigned shifts for each staff member listed in each department.

    Click     here to learn more.

NOTE: Schedule Plans are created and saved using the " Schedule Plans " form. You can load saved plans to view them and make changes at a later time. Click here to learn more.

TIP: You can "roll-up" departments so that their staff or positions and shifts are not displayed. Simply double-click on a department header on the left of the schedule planner to roll-up or roll-down the details for that department. Rolled-up department headers are displayed with an "Gold" background. Rolled-down department headers are "Dark Blue".


Scheduling by Position

When you schedule by position , positions that need to be scheduled are listed under the title "Position" in the schedule planner list on the left of the schedule planner area:

  1. Begin a "Schedule by Position" plan by dragging and dropping Departments into the list on the left of the scheduler planner.

    Click     here to learn how to display the Departments list.

  2. Then, continue by dragging and dropping appropriate positions into each department.

    Click     here to learn how to display the positions / tasks list.

  3. Create unassigned shifts for each position that requires scheduling.

    Click     here to learn more about working with time bars.

  4. You then assign staff members to unassigned shifts for each position listed in each department by dragging and dropping the staff member's name from the Staff List to a shift.

    NOTE    : If you select a staff member in the Staff list, you can select to assign that person to a shift by right-mouse clicking on the shift and selecting the menu item from the drop down.

NOTE: You may drag a staff member's name from the Staff List to a shift that has already been assigned to another staff member. The shift will be reassigned to the new staff name.

TIP: While Staff Scheduler Professional's flexibility allows you to schedule by position or by staff, DBI highly recommends that you schedule by position, i.e. assigning staff members to positions / tasks. Scheduling by position is the most efficient way to realize an increase to your profit margin as you assign staff to the work that must get done rather than making work for staff.


Scheduling by Staff

When you schedule by staff , staff members that need to be scheduled are listed under the title "Staff" in the schedule planner list in the left of the schedule planner area.

  1. Begin a "Schedule by Staff" plan by dragging and dropping Departments into the list in the left of the scheduler planner.

    Click     here to learn how to display the Departments list.

  2. Then, continue by dragging and dropping staff members into each department.

    Click     here to learn how to display the Staff list.

  3. Create unassigned shifts for each staff member that requires scheduling.

    Click     here to learn more about working with shifts.

  4. You then assign positions to unassigned shifts for each staff member listed in each department by dragging and dropping the position from the Positions / Tasks List to a time bar.

    NOTE    : If you select a position/task in the Positions/Tasks listt, you can select to assign that position/task to a shift by right-mouse clicking on the shift and selecting the menu item from the drop down.

NOTE: You may drag a position from the Position / Task List to a shift that has already been assigned with another position. The shift will be reassigned with the new position.

TIP: While Staff Scheduler Professional's flexibility allows you to schedule by position or by staff, DBI highly recommends that you schedule by position , i.e. assigning staff members to positions / tasks. Scheduling by position is the most efficient way to realize an increase to your profit margin as you assign staff to the work that must get done rather than making work for staff.


Working with Shifts

Shifts are the basic scheduling elements of a schedule plan when working with Staff Scheduler Professional. They are visual representations of a scheduled period of time in the schedule planner .

Newly created shifts are initially unassigned.

  • Schedule by Position

    Once a shift has been created, you can assign a staff member to the shift with a simple     drag and drop     from the staff list .

    Click     here to learn more.

  • Schedule by Staff

    Or if you are scheduling by staff, you assign a position / task to the shift with a simple drag and drop from the     positions / tasks list .

    Click     here to learn more.

Unassigned shifts display as dark blue bars. Shifts that have been assigned to staff members display as light blue bars and show the staff member's name in the shift.

All shifts display the start and end times of the assignment in the lower left-hand corner of the shift.

When a shift is selected (clicked on), you can see the start and end times, indicated as red lines, in the time ruler at the top of the schedule planner.

Shifts can be moved , resized, copied to the next day, their content can be edited , and they can be deleted .

TIP: If you hover the mouse pointer over a time bar (without clicking), a pop-up window is displayed with the details of the assigned staff member or the position / task and the start and end times for the shift.

This is especially useful when the schedule planner is being viewed " Zoomed Out " so that shifts are small and their content is too compressed to read.


Creating Shifts

Creating shifts in the schedule planning area is quick and easy.

To create a shift

  1. In an empty area of the schedule planner , click and hold the left mouse button at a point that will be the start time of the new shift.

  2. Slide (drag) the mouse pointer to the right.

    An outline of the new shift is displayed as you slide your mouse pointer.

    Note: Red markers in the time ruler at the top of the schedule planner show the currently selected start and end times.

  3. When the mouse pointer is at the point that will be the end time of the shift, release the mouse button.

    A shift is displayed as "unassigned".

    The start and end times are displayed in the lower left-hand corner of the shift.

TIP: Absolute precision is not necessary when creating shifts. After being created, shifts can be adjusted by moving and resizing them. You can also delete shifts or edit their content.


Moving Shifts

Shifts can be easily moved horizontally or vertically in the schedule planner.

To move a time bar

  1. Click and hold the left mouse button anywhere inside the edges of a shift.

    Note: The mouse pointer is displayed as a four-pointed cross of arrows.

  2. Slide (drag) the mouse pointer left / right within a row or up / down across rows.

    An outline of the time is displayed moving with the mouse pointer, indicating where the shift will appear when the move is finished.

  3. When the shift outline is displayed where you want it to be in the scheduler planner, release the left mouse button.

    The shift is moved to the new location if there is no conflict with existing shifts.

NOTE: Shifts cannot be moved over or into conflict with existing shifts. In that event, Staff Scheduler Professional displays a message box indicating that the move is disallowed and the move is cancelled.

TIP: While moving a shift, you can drag the outline to any of the edges (left / right or top / bottom) of the schedule planner. Staff Scheduler Professional will automatically scroll the viewing area of the planner for you.


Resizing Shifts

You can resize shifts to shorten or broaden it's duration or length..

To resize a shift

  1. Point (without clicking) the mouse pointer over either the leading or trailing edge of a shift.

    When properly positioned, the pointer is displayed as two arrows pointing left and right
    (see image, above)

  2. Without moving the pointer, click and hold the left mouse button.

    The mouse pointer is now displayed as cross-hairs.
    (see image, below)

  3. While holding the left mouse button down, slide (drag) the mouse pointer left or right.

    An outline of the shift is displayed with the mouse pointer as you drag.

  4. When the shift is resized as desired, release the left mouse button.

    The shift is resized to its new length if there is no conflict with existing shifts.

NOTE: Shifts cannot be resized so that they overlap or come into conflict with existing shifts. In that event, Staff Scheduler Professional displays a message box indicating that the change to the shift is disallowed and the resize is cancelled.

TIP: While resizing a shift, you can drag the outline to any of the edges (left / right) of the schedule planner. Staff Scheduler Professional will automatically scroll the viewing area of the planner for you.


Copying Shifts

To make your scheduling quick and easy, you can copy shifts you have created from one day to the next.

You can copy:

  • an individual shift with its assignment to the following day

  • an individual shift without its assignment to the next day

  • all shifts on a given day, without their assignments, to the next day.

To copy shifts

  1. Right-click an existing shift.

    A pop-up menu is displayed.

  2. Click one of top three copy options in the menu.

    NOTE: The scheduler will automatically display the following day to which the shift(s) have been copied.

     NOTE: Staff Scheduler Professional will advise you with a message box of any conflicts whereby shifts were not copied.

  3. Click "OK" to continue.


Editing Shifts

You can edit all the aspects of a shift using the Shift edit form.

To edit a shift:

  1. Right-click on a shift to select a shift.

    A pop-up menu is displayed showing various actions that may be performed on the selected shift.

    NOTE: If an item in the Staff List (Schedule by Position/Task) or an item in the Position/Task List (Schedule by Staff) is selected a seventh option is presented to assign the selected item to the shift.

  2. Click the pop-up menu's "Edit Shift" option.

    The Edit Shift form is displayed.

  3. If a shift has been assigned to a staff member or a position , and you want to set the shift as "unassigned", check the "Unassign Shift" checkbox "ON" to remove the assignment. Otherwise, leave the checkbox set "OFF" (unchecked).

    NOTE: You can also unassign a shift by clicking the "     Unassign Shift " option in the pop-up menu.

  4. Enter any information about the selected time that you would like to remember in the "Notes" area.

    NOTE : Shift notes are shown in individual Staff Schedules when they are emailed or printed.

  5. You may enter a new "Start Date".

    Click     here to learn more about entering dates in Staff Scheduler Professional.

  6. You may enter a new "Start Time".

    Click     here to learn more about entering times in Staff Scheduler Professional.

  7. You may enter a new "End Date".

    Click     here to learn more about entering dates in Staff Scheduler Professional.

  8. You may enter a new "End Time".

    Click     here to learn more about entering times in Staff Scheduler Professional.

  9. Click drop-down arrow of the "Show End Time As" item to display a list of default values.

    Select a value to be displayed when viewing or printing your     schedule plans .

    1. Click on a default value to select it.

    2. Alternatively, type your own custom value into the text area of this item.

  10. Enter a value for "Unpaid Time" in minutes to be applied to the selected time bar.

    Unpaid time values are applied to overtime calculations and have an impact as you use Staff Scheduler Professional's     budgeting features to adjust your labor burden.

    Examples of "Unpaid Time" are lunch or coffee break periods that take place during the scheduled period.

    Click     here to learn more about default values for "Unpaid Time"

TIP: Double-click a shift as a shortcut to the "Edit Shift" form.

Note: Notes entered in shifts will be displayed with the scheduling assignment when printing staff members' schedules .


Deleting Shifts

You can delete a shift from the schedule plan.

You can delete a shift in one of two ways.

To delete a shift (method 1):

  1. Click on a shift to select it.

  2. Press the "Delete" key.

    The shift is removed from the plan.

To delete a shift (method 2):

  1. Right-click a shift to select it.

    A pop-up menu is displayed.

  2. Select the "Delete Shift" option in the menu.

    The shift is removed from the plan.

IMPORTANT: Deleting a shift cannot be undone. Note also that Staff Scheduler Professional will not ask for confirmation before deleting a shift.


Unassigning Shifts

You can unassign a shift so that any staff or position assignment is cleared.

To unassign a shift:

  1. Right-click a shift to select it.

    A pop-up menu is displayed.

  2. Click the "Unassign Shift" option in the menu.

    The shift displays as "unassigned".

NOTE: You can also unassign a shift in the " Shift Edit " form.


Conflict Checking

As you schedule your staff members into your plan, Staff Scheduler Professional can assist you by checking for conflicts in a staff member's:

  • Availability - Is the staff member:

    • already scheduled at that time,

    • regularly unavailable at that time, or on a specified day of the week off,

    • or has a single scheduling exception been set up for that staff member at that time?

  • Experience - Is the staff member listed as experienced for the position / task into which they are being scheduled ... do they have a Position/Wage record for the position being assigned?

If a conflict is detected, a warning dialog box is displayed. When the dialog is displayed, you may override the conflict or cancel the scheduling assignment to schedule another staff member.

To schedule with "Availability" conflict checking:

  1. Set the System maintenance " Conflict Checking " for Availability option ON.
    ("System" option under the "Maintenance" menu)

  2. Set up any "Regular Days Off" and Cost (default hourly rate) for each staff member in the " Staff " form.
    ("Staff" option under the "Maintenance" menu)

  3. Set up " Availability " for each staff member.

  4. Set up any " Scheduling Exceptions " for each staff member.

To schedule with "Experience" conflict checking:

  1. Set the System maintenance " Conflict Checking " for Experience option ON.
    ("System" option under the "Maintenance" menu)

  2. Set up staff Cost (default hourly rate) for each staff member in the " Staff " form.

  3. Set up appropriate " Positions & Wages " for each staff member.

TIP: You can limit the extent to which Staff Scheduler Professional checks for conflicts by turning conflict checking features OFF / ON using the " Available Filter Criteria " form.

TIP: Experience and Availability can be used to find staff for a given shift by selecting the shift and opening the Available List in the explorer.


Checking for Availability

As you schedule your staff, Staff Scheduler Professional can automatically check whether the staff member is available or not.

If the " Staff Availability " checking features have been turned on, staff availability is automatically checked by Staff Scheduler Professional for one of several conditions:

  1. Is the intended scheduling item conflicting with "Regular Days Off" as found in the staff member’s profile?

    Click     here to learn more.

  2. Is the intended scheduling item conflicting with the staff member's regular availability as found in the staff member’s profile?

    Click     here to learn more.

  3. Is the staff member already scheduled at the same time with another scheduling item?

    NOTE: As in the example above, a staff member may be scheduled in another scheduling plan at the same time if these plans' days overlap. Staff Scheduler Professional informs you in which schedule plan (description) the employee is already scheduled.

    Click     here to learn more.

TIP: You can limit the extent to which Staff Scheduler Professional checks for conflicts by turning conflict checking features OFF / ON using the " Available Filter Criteria " form.


Checking for Experience

As you schedule your staff, Staff Scheduler Professional can automatically check whether the staff member is experienced for the position / task or not.

If the " Staff Experience " checking features have been turned on, staff experience is automatically checked by Staff Scheduler Professional. If so, when you assign a staff member to a task, Staff Scheduler Professional will check the " Position / Wage " table for that staff member.

If the staff member is not listed as experienced for the particular task, i.e. they do not have a Position/Wage record for that Position/Task assigned to the shift, a message box is displayed (see above) asking you if you want to add the position to the staff member's experience list:

  • Click "Yes" to assign the staff member and to automatically add the position to their experience list of the " Position / Wage " table.

    NOTE: The employee's     default wage will be used for the newly added experience item. You can modify the wage to be paid when they work in that position by making the change in the " Position / Wage " table.

  • Click "No" to make no changes to the staff member's list of experience in " Position / Wage " table.

    Staff Scheduler Professional then asks you if you want to schedule the staff person anyhow or if you want to abandon the assignment for that staff member.

TIP: You can limit the extent to which Staff Scheduler Professional checks for conflicts by turning conflict checking features OFF / ON using the " Available Filter Criteria " form.


Checking for Schedule Exceptions

As you schedule your staff, Staff Scheduler Professional can automatically check whether the staff member is available or not due to a scheduling exception.

Scheduling exceptions are entered by you, one at a time, when a staff member has indicated that they need time off from their regular availability. Examples of scheduling exceptions are medical appointments or vacation time. Scheduling exceptions are found in the staff members " Schedule Exceptions " form from the " Staff Profile " form..

When a scheduling exception is detected, Staff Scheduler Professional displays a message box with details of the conflict, asking you if you want to override the exception.

  • Click "Yes" to override the exception and schedule the employee at that time.

  • Click "No" to abandon the assignment and select another employee.

  • Click "Override All Conflicts" to assign the staff member to the schedule item, regardless of the exception and any other conflicts that may arise from an " availability " conflict.

TIP: You can limit the extent to which Staff Scheduler Professional checks for conflicts by turning conflict checking features OFF / ON using the " Available Filter Criteria " form.


Backing up your Data

Making backups of all your Staff Scheduler Professional data is quick and easy.

IMPORTANT: DBI strongly urges Staff Scheduler Professional users to backup their data on a regular basis. In the event of catastrophic computer failure, a backup of your data will save you hours of work and get you up and running again quickly. Click here to learn more about restoring your data.

To receive automatic backup reminders:

  1. In the " System Maintenance " form, set the number of days between backups after which you want to be reminded to backup. (see the "Maintenance" menu)

    When shutting down Staff Scheduler Professional and when the set number of days between backups has elapsed, Staff-Scheduler will display a reminder that a backup is due.

  2. Click "Yes" to display the "Backup Database" form.

To backup your data:

  1. Click the "Change" button on the "Backup Database" form to select a different locate to save your backup file.

    This procedure is optional.

    If you want to accept the default location and file name, skip this step.

    NOTE: Staff Scheduler Professional creates unique file names for each backup. Your backup will not overwrite a previous backup. Backup files are stored in the "Archive" subfolder of the Staff Scheduler Professional application by default.

  2. Click the "Backup Database" button to create an up-to-the-minute backup of all your Staff Scheduler Professional data.

    Staff Scheduler Professional displays a dialog box to inform you that the backup process is complete.

NOTE: You can backup your data at any time by clicking the "Backup" option under the " Maintenance " menu.


Publishing Your Schedule

Publishing Your Schedule Plan

Staff Scheduler Professional offers you a variety of ways communicate your schedule plans to your staff or colleagues. You can:

  • preview them on-screen

  • send them to your printer

  • save them to HTML files for viewing through a web browser

  • email them to your staff

To publish the plan you have currently loaded please see:

  • the " View Plan " menu

  • the " Print Plan " menu

To publish (including email) any of your schedule planning data please see:

  • the " Reports " menu


Working with Actual Hours

You can save your schedule's planned shifts as "Actual Hours" automatically by turning on the Auto Generate Actual Hours Records switch in the System Settings. Actual hours are distinguished from planned hours in reports so that you can easily compare your plan to what actually took place.

IMPORTANT: Until the Actual Hours records for a Department/Day have been saved, changes to the scheduled shifts will be reflected, if "Auto Generate Actual Hours Records " is turned on in the System Settings.

IMPORTANT: DBI recommends that you do not save your actual hours for a day until your schedule plan has been executed for that day. Adding new shifts will not create actual hour records once a day's actual hours have been saved for a department. While you can add actual hours manually, it is more time consuming than allowing Staff Scheduler to create the actual hours and subsequently change only those shifts that did not conform to the plan.


Loading Actual Hours

To manage the Actual Hours worked for the shifts planned in your Schedule Plans select the "Actual Hours" option of the " Maintenance " menu.

To load hours:

  1. Enter a date for which you want to load the plans hours.

    Click     here to learn more about date entry in Staff Scheduler Professional.

  2. From the drop-down list, select a single department or "All Departments" to load the hours you want to view.

  3. Click a "Sort" option by which to view the hours.

    NOTE: Only the "Daily Sign-In" option allows you to further view hours by Position/Task or by Staff.

  4. If sorting by "Daily Sign-In", select option to view by position / task or by staff .

  5. Click the "Load" button in the command bar at the top of the form to load hours according to your selections.


Maintaining Actual Hours

Once hours are loaded into the "Actual Hours Maintenance" form, you can make adjustments to the plan according to what actually happened.

IMPORTANT NOTE: If you are using the Payroll Export functionality of Staff Scheduler Professional the Actual Hours records become locked at the time the Payroll Export is confirmed. This protects the audit trail for the detail of Payroll Detail coming out of the Staff Scheduler Professional database. If the Actual Hours records are locked the following dialog is displayed ...

Actual Hours records that are not locked can be changed as follows:

You may mark a shift for an individual as ...

  • Cancelled

  • No Show

  • Late

You may also make changes to the details of a shift by modifying:

  • Staff member's name

  • Position filled in the shift

  • Department for whom the staff member actually worked

  • The start and end times that were worked

  • Unpaid minutes

To modify actual hours:

  1. Click on any modifiable detail in any row.

  2. Change details as needed.

  3. Click the "Add Shifts" button in the command bar at the top of the form to add any additional shifts that may have occurred beyond the schedule plan.

    Click     here to learn about adding shifts to actual hours.

  4. Click the "Save" button in the command bar to save your modifications.

    Click     here to learn about saving actual hours.

IMPORTANT NOTE: Once the Actual Hours records for a Department/Day have been saved, changes to the scheduled shifts will no longer be reflected, if "Auto Generate Actual Hours Records " is turned on in the System Settings.


Saving Actual Hours

Modifications that you make to actual hours are not reflected back in the schedule planner . Actual hours and the "planned" or scheduled hours as found in the schedule planner are distinct.

Until a day's planned hours for department are saved as "actual", modifications to the shifts in the schedule planner will automatically continue to be reflected in the actual hours records. Once actual hours are saved as "actual", modifications to shifts in the schedule planner will not be reflected in the Actual Hours records. Once actual hours are saved, additions or other modifications to the planner must be manually made in the "Actual Hours" form.

Click here to lean more about adding shifts to Actual Hours.

To save actual hours:

  1. Click the "Save" button in the command bar at the top of the form.

    A dialog is displayed to confirm that shifts' hours have committed as "actual".

  2. Alternatively, click the "Cancel" button at the top of the command bar to cancel all changes to the shifts' hours.


Adding Shifts to Actual Hours

You may add shifts that did not appear in your plan to your actual hours.

To add shifts to actual hours:

  1. Click the "Add Shifts" button in the command bar at the top of the " Actual Hours Maintenance " form.

  2. Select an employee for the shift from the drop-down list.

  3. Select a position from the drop-down list.

  4. Select a department from the drop-down list.

  5. Check the "Late" checkbox if the employee was not on time.

  6. Enter start and end times for the shift.

  7. Enter any unpaid minutes for the shift.

  8. Press the "TAB" key to add another shift.

  9. Click the "Save New Shifts" to save your entries and return to the "Actual Hours Maintenance" form.


Previewing Actual Hours Report

You may preview and optionally print an Actual Hours report for the displayed hours.

To preview the actual hours report:

  1. Click the "Preview Report" button in the command bar at the top of the " Actual Hours Maintenance " form.

  2. Optionally, click the "Print Report" button to send the report to a printer.

  3. Click the "Close" button to return to the "Actual Hours Maintenance" form.


Improving Your Labor Costs

Once you have created a basic schedule plan, you can begin trying "what-if" scenarios that can reduce your labor costs and increase your profit margin.

The following recommendations will help you realize an improvement to your labour burden (Cost of Labor versus Revenue), improve the productivity of your operation, and increase your profitability within a short period of time.

  • Schedule by Position / Tasks

    IMPORTANT: While Staff Scheduler Professional is flexible and can easily be adapted to almost any business setting, DBI strongly recommends scheduling by position rather than scheduling by staff. Scheduling by position is the best way to realize an increase to your profit margin as you assign staff to the work that must get done rather than making work for staff.

    Click here to learn more about Scheduling by Position / Task

  • Setup Staff-Scheduler's Budgeting Features

    • Set up the system's default "Labor Cost" values. (Default "Hourly Wage", "Target Labor Cost", and "Target Covers per Labor Hour")

      Click       here to learn more.
    • Set up the system's default Overtime and Statutory Holiday rates.

      Click       here to learn more.
    • Set up your plan's anticipated revenue and projected covers in the " Revenue Budget " form.
    • Use the " Budget " list as you work with the schedule planner to refine your completed plans by:

      • reassigning less costly staff to positions for which they have experience.
      • Reducing unnecessarily early start times and late end times for staff.
      • Scheduling only those tasks that need to be accomplished.
      • Not creating work (positions / tasks) for staff unless they are necessary.


Budgeting for Revenue and Covers

The Budget form is an important feature of Staff Scheduler Professional's cost-saving and productivity improvement capabilities.

Use the "Budget" form to Add, Edit, or Delete daily projected and actual Revenue and Covers for your operation.

The Projected Revenue is used to calculate the labor burden in ...

  • Budget List
  • Staff Cost Report
  • Scheduled versus Actual Analysis

The Actual Revenue is used to calculate labor burden in ...

  • Staff Cost Report
  • Scheduled versus Actual Analysis

The Projected Covers are used to calculate the Covers per Labor Hour and the Cost per Cover in ...

  • Budget List
  • Labor Analysis report

The Actual Covers are used to calculate the Covers Per Labor Hour and the Cost per Cover in ...

  • Labor Analysis report

Using the Budget form you can quickly enter and modify the budget of your anticipated revenues.

You can change values, You can use the "Up / Down" arrows to move from record to record. You can also simply select a row with your mouse.

When the enter key is pressed on the last record a new record is automatically added to the list. The date is increased by one day and the previous day's revenue figure is used as a default value. Press "Enter" to accept the default value or change the value and press the enter key.

To copy budget records from one period to another:

  1. Highlight the existing budget records to copy using the mouse and/or keyboard (click on one record, hold down the Shift Key and highlight the next records to be copied with the mouse or the up and down arrows).
  2. Press the Copy button in the toolbar.
  3. Enter the start date of the new period for the budget in the Copy Starting On date field.
  4. Press the Copy button to the right of the Copy Starting On date field.

The selected records will be copied to new records starting on the day identified in the Copy Starting On date field.

IMPORTANT NOTE: The Copy functionality allows you to specify if the budget value is the Actual Value from the original budget record or the Budget value (see the check box under the Copy Starting On date field).


Menu Commands

The menu bar, always available at the top of the schedule planner view, provides access to the Staff Scheduler Professional's functionality.

From the main menu bar, you can access:

  • Schedule Plans

  • View

  • Zoom In

  • Zoom Out

  • Prev Day

  • Next Day

  • View Plan

  • Print Plan

  • Maintenance

  • Reports

  • Help

  • Exit


Schedule Plans

Use the Schedule Plans form to create, edit or delete schedule plans. You can also copy existing plans to create new schedule plans.

The Schedule Plans form displays all plans that have been created. Click on a plan in the list to view details of its start and end periods.

To display only "Active" plans

  • Click the "Active Only" check box above the top-right corner of the plans list.

    When checked, only schedule plans marked as "Active" will be displayed.

To quickly locate a plan in the list

  • Beginning typing the description of the plan in the "Find Plan" field.

    Click     here to learn more.

NOTE: Schedule Plans cannot be edited or deleted if they are loaded into the schedule plan worksheet of the main form. To edit or delete a plan, select another plan and click "Load". Now select the plan you wish to edit or delete.


Creating New Schedule Plans

New schedule plans are empty plans. They have no assignments of departments, positions, or staff. Creating a new schedule plan allows you design your scheduling plan from scratch.

To create a new scheduling plan:

  1. Click the "New" button in the command bar at the top of Schedule Plans form.

    The description area (lower half) of the Scheduling Plans form displays blank values to be filled in.

  2. Enter a "Description" for the new plan. REQUIRED

    The description is used to locate a specific plan when you search the plan's name in the "Find Plan" field.

  3. Select to schedule the new plan by "Position/Task" or by "Staff" by clicking the appropriate option button. REQUIRED

    Click     here to learn more.

  4. Leave the "Active" checkbox marked ON. The "Active" checkbox allows you to filter the list of schedule plans to show only the active plans.

  5. Enter a "Start Date" for the new plan. REQUIRED

    By default, today's date is initially displayed.

    Click     here to learn more about Date Entry in Staff-Scheduler.

  6. Enter a "Start Time" for the new plan. REQUIRED

    By default, the "     System New Schedule Plan Defaults " start time is initially displayed.

    Click     here to learn more about Time Entry in Staff-Scheduler.

  7. Enter an "End Date" for the new plan. REQUIRED

    By default, an end date is displayed that is the start date plus the number of days in the "Schedule Length" field in the "     System New Schedule Plan Defaults ".

  8. Enter an "End Time" for the new plan. REQUIRED

    By default, the "     System New Schedule Plan Defaults " end time is initially displayed.

  9. Enter any additional "Notes" that you may find helpful in describing this new plan. NOT REQUIRED/OPTIONAL

  10. Click the "Save" button to save your new schedule plan.

    Your new plan is now displayed in the list of existing plans.


Deleting Schedule Plans

You may delete an existing schedule plan from the list of displayed plans.

To delete a schedule plan:

  1. Click on a plan from the list of existing plans to select it.

  2. Click the "Delete" button in the command bar:

    NOTE:     If the plan you select is currently loaded, a warning will be displayed.

    You must load a different plan before you can delete your plan.

    Click     here to learn more.

  3. A warning is be displayed, asking you to confirm the deletion of the plan.

    NOTE:     Unsaved Actual Hours are deleted when a plan is deleted.

  4. Click the "OK" button to delete the schedule plan and unsaved actual hours.


Editing Schedule Plans

You may edit an existing schedule plan from the list of displayed plans.

Changes made will be immediately reflected when you reload the plan.

To edit a schedule plan:

  1. Click on a plan from the list of existing plans to select it.

  2. Click the "Edit" button in the command bar:

    NOTE:     If the plan you select is currently loaded, a warning will be displayed.

    You must load a different plan before you can edit your plan.

    Click     here to learn more.

  3. Modify any of the plans details as when you were creating a new schedule plan.

    Click     here to learn more.

    IMPORTANT NOTE    : If you change the beginning and/or end of the plan to make it shorter the software will warn you if there are shifts outside the date range of the plan.

  4. Click the "Save" button to save your modified schedule plan.


Copying Schedule Plans

Once you have created and modified a schedule plan for a given period, you can copy that plan's content to a new plan for a new scheduling period.

The "copy Schedules" feature gives you the ability to quickly and easily use a successful plan as a template for new scheduling plans.

TIP: DBI recommends the "Copy Schedule Plan" feature as a powerful way to maximize your planning and budgeting efforts and to save you hours of time.

Using a successful plan as the basis for new plans gives you the opportunity to streamline the management of staff's schedules and to refine your labor costs.

To copy a schedule plan to a new plan

  1. Select a plan to copy from the " Schedule Plans " form.

  2. Click the "Copy" button.

    The "Copy Schedule Plan" form is displayed.

  3. Enter a Start Date

    You can accept the displayed default date or enter a new start date.

    Click     here to learn more about entering dates.

    NOTE: By default, the Start Date of the new plan is set to the Start Date of the original plan plus the number of days set in "Schedule Length" field in the "New Schedule Plan Defaults" of System Maintenance form.

    Click     here to learn more.

  4. Enter a Description for the new plan.

    You can accept the displayed default Description or enter your own.

    NOTE: The description is used to locate a specific plan when you search the plan's name in the "Find Plan" field.

    Click     here to learn more.

  5. Click the "Copy" button.

    A copy of the original schedule plan is created, including its Departments, Positions/Tasks, and Staff is created. All the original time bars and their scheduling assignments are also copied to the new plan but these are offset to correspond to the new start date of the schedule.

    • If no scheduling conflicts are created in the new scheduling plan the next step is omitted. A message box is displayed to inform you that there are no conflicts.

      Press "OK" to continue. (Skip the next step)

    • If scheduling conflicts are found in the new schedule, Staff Scheduler Professional informs you that there are conflicts that must be resolved.

      Press "OK" to continue.

Resolve scheduling conflicts .

Existing conflicts in the new schedule plan are displayed in a list. Scheduling conflicts are generated when Staff Scheduler Professional detects that a shift is assigned to a staff member and that a conflict exists.

Click here to learn more about "Conflict Checking",

For each item in the list, details of the conflict are provided such as the staff member's name, the reason for the conflict, and the details for the shift (including date / time and position / task).

In the "Override" checkbox at the right of each item, click each conflict "ON" (checked) if you wish to override the conflict. When you override a conflict, Staff Scheduler Professional ignores the conflict and copies the scheduling assignment as-is.

Leave the "Override" checkbox "OFF" (blank) if you want Staff Scheduler Professional to copy the time bar without assigning it to that particular staff member. The time bar will be displayed as "Unassigned" in the new schedule plan .

NOTE: Click the "Override All" button to mark all "Override" checkboxes "ON".

NOTE: If all checkboxes are check "ON", the "Override All" button is replaced with a "Clear Overrides" button. Click this button to clear all checkboxes.

  1. Click the "Apply" button to finalize the new schedule plan with the "Override" settings you have provided.

    A message box is displayed informing you that the new plan has been created.

  2. Click "OK" to continue

    The "Copy Schedule Plan" form is closed and the "     Schedule Plans " form is displayed showing your newly created copy in the list of plans.


Loading Schedule Plans

Before a schedule plan can modified in the main planning area or published, you must the load the plan.

To load a schedule plan from the Schedule Plans Form:

  1. Click on a plan from the list of existing plans to select it.

  2. Click the "Load" button in the command bar.

    The plan is now displayed in the main schedule planning area.


View

Use the "View" menu options to customize what is displayed in the schedule planner form.

Click a menu option to:

  • Schedule By Position/Task – Sets the Schedule planner to display the Schedule Plan’s Positions/Tasks in the “Schedule By” List and displays the time bar assignments in terms of the staff member assigned to the position/task.

  • Schedule By Staff – Sets the Schedule planner to display the Schedule Plan’s Staff members in the “Schedule By” List and displays the time bar assignments in terms of the position/task assigned to the staff member.

  • Refresh Schedule – Reloads the schedule plan from the database. This is only required if more than one person is updating the schedule plan simultaneously (i.e. when multi-user changes to a schedule plan occur).

  • Hide/Show Scheduler Bar – Menu item that toggles to allow hiding or showing of the scheduler bar object. This is useful if you require seeing more of the schedule plan simultaneously.

  • Hide/Show Departments List – Menu item that toggles to allow hiding or showing of the list view object displaying the Departments list. This is useful if you require seeing more of the schedule plan simultaneously.

  • Hide/Show Positions/Tasks List – Menu item that toggles to allow hiding or showing of the list view object displaying the Positions/Tasks list. This is useful if you require seeing more of the schedule plan simultaneously.

  • Hide/Show Staff List – Menu item that toggles to allow hiding or showing of the list view object displaying the Staff list. This is useful if you require seeing more of the schedule plan simultaneously.

  • Hide/Show Budget – Menu item that toggles to allow hiding or showing of the list view object displaying the labor burden budget list. This is useful when scheduling to monitor the labor burden and receive warning when the labor burden exceeds the target labor cost.

  • Hide/Show Available – Menu item that toggles to allow hiding or showing of the list view object displaying the list of staff who are available for a selected time bar. This is useful when scheduling to provide a filtered list of staff members, displaying only those staff that match the criteria as set in the Available Filter Criteria .

  • Hide/Show Explorer – Menu item that toggles to allow hiding or showing of the explorer object. This is useful if you require seeing more of the schedule plan simultaneously.


Zoom In

Use the "Zoom In" menu option to expand the time line at the top of the schedule worksheet. You can see and work with a smaller section of the schedule and work more easily with short shifts.


Zoom Out

Use the "Zoom Out" menu option to shrink the time line at the top of the schedule worksheet. You can see and work with a larger portion of the schedule.


Prev Day

Use the "Previous Day" menu option to show the previous day in the schedule plan viewing area..


Next Day

Use the "Next Day" menu option to show the next day in the schedule plan viewing area..


View Plan

Use the "View Plan" menu option to preview scheduling assignments for the schedule plan that is currently loaded.

You can:

  • View the Schedule Plan by Position/Task or by Staff

  • Show Totals for the hours scheduled

  • Show hours scheduled

  • Show unassigned only

  • View all Dates in the selected schedule plan or select a single day in the selected schedule plan.

You can then:

  • Print your plan

  • Save it to an HTML file which you can send as an email attachment or publish to your web site.

NOTE: This is the only view/report that uses a single schedule plan. Only assignments from the currently loaded plan are displayed. All other views/reports/schedules use all schedule plans for a given period of time.

TIP: The Show unassigned only option is useful for determining what is left to schedule in a plan. Click here to learn more.


Previewing the Schedule Plan

The "View Plan" shows you a detailed list of your currently loaded plan.

You can optionally print your plan or save your plan as an HTML file.

To view the schedule plan

  1. Select a "Schedule By" option.

    You choose to display the plan by Position / Task     or by Staff.

  2. Check options to display hours and totals.

  3. Check "Show Unassigned Only" to display only those scheduled items for which no assignment has yet been made.
    TIP     : The Show unassigned only option is useful for determining what is left to schedule in a plan. Click here to learn more.

  4. Select from the drop-down list to view a single day's plan or to view details of all dates in the current plan.

  5. Click the "Preview" button in the command bar to display the details of the plan according to your criteria.

  6. Optionally, click the "Print" button to send the report to a printer.

  7. Optionally, click the "Save as HTML" to save the report as HTML.

    An HTML file is suitable for emailing as an attachment or for posting to a web site.

    Click     here to learn more.

  8. Click the "Close" button to close the form and return to the Scheduler Planner .

NOTE: This is the only view/report that uses a single schedule plan. Only assignments from the currently loaded plan are displayed. All other views/reports/schedules use all schedule plans for a given period of time.

TIP: Save your plan as a supplemental attachment for your staff when you email them their schedules. Click here to learn more.


Displaying Unassigned

When viewing the currently loaded schedule plan, you may choose to show only those scheduled items that are, as yet, unassigned.

Check "Show Unassigned Only" to display only those scheduled items for which no assignment has yet been made.

TIP : The Show unassigned only option is useful for determining what is left to schedule in a plan.


Saving as HTML

When viewing the currently loaded schedule plan, you may save your report to an HTML file.

HTML pages are almost universally readable as the recipient need only have a web browser such as "Internet Explorer" to view its contents.

The HTML format is suitable for sending plan details as an attachment to your employees at the time that you email their personal schedules to them.

Click here to learn more about emailing schedules.

HTML is also suitable for posting as a web page if you manage a web site to which your staff have access.

To save the schedule plan as HTML:

  1. Click the "Save as HTML" button in the command bar at the top of the " View Plan " form.

    A "File Save" dialog is displayed.

  2. Optionally, change the default system-generated file name and default HTML sub-directory

  3. Click the "Save" button to save the HTML file.

TIP: You can attach the HTML file of all assignments in the plan to your staff when you when you email them their schedules. Click here to learn more.


Print Plan

Use the "Print Plan" menu option to send the schedule plan to a printer.


Maintenance

Maintenance Menu

Use the "Maintenance" menu options to perform maintainance on the data in the Staff Scheduler Professional database and run maintenance functionality such as Import Data and Backup/Restore database.

  • System
  • Departments
  • Staff
  • Position/Wage
  • Budget
  • Actual Hours
  • Import Data
  • Backup Database
  • Restore Database

NOTE: The "System" menu option is not available to users if "System Security" has been enabled and the user's security account does not include administrative privileges. Click here to learn more.


Import Data From CSV

The scheduling software Import Data from CSV functionality is designed to assist the user in transferring Staff (Employees), Departments, Positions, and optionally Position/Wage (hourly wage paid to a Staff member working in a specified Position) from any software that can create a Comma Separated Values file (CSV file) into the scheduling software; eliminating the need to re-key information stored in other software applications into the scheduling software. The Import Data functionality will identify and create new additions to the tables (new staff, departments, etc.) as well as identify and update existing records in the above mentioned tables.

The Import Data Wizard

The scheduling software Import Data from CSV functionality is a 3 step wizard to identify, validate, and import the data from external sources as Comma Separated Values (CSV) files ...

IMPORTANT: Prior to running the Import Data facility in the Complete Import Process (Step 3) the scheduler database is automatically backed up to the Archive Directory under the directory in which the scheduler database resides (by default "... program install directory\Data\Archive"). The backup file is named so as to identify the date and time it was created. The format for the backup file name is "preImport" + MMDDYY_hhmmss + ".tsd". To restore the scheduler database to its state prior to the import, run the Restore Database function from the Maintenance Menu in the scheduler software and select the preImport file created at the time the Import function was run.

Step 1 - Select Data Files to Import

Identify the source files containing the data contained in the CSV files. In this step the user identifies the name and location of the files containing the Staff, Position/Wage, Departments, and Positions.

NOTE: The application will store the last used location for each file to assist the user in quickly identifying the files to import from one session to the next.

The user has the option of typing in the location of the file or pressing the Browse button to browse to the appropriate CSV file and select it for import into the scheduling software. When a valid file has been identified the user can press the Preview button to view the contents of the selected file as it will be imported into the scheduling software database.

When the import files have been selected the user presses the Next>> button to move to the next step.

Step 2 - Validate Data

Validate the data to be imported before performing the import procedure. This step allows the user to scan the files identified for import and report on the validity of each record in each file. Before continuing to the next step in the import process the user is prompted to press the Validate Data button to scan each of the import files and verify their validity before importing them into the scheduling software database.

NOTE: The status of each table and detail on records that fail the validation process are reported in the Validation Status area at the bottom left of the form.

NOTE: If a record does not pass the validation process an entry is added to the Validation status and the record is marked in red in the appropriate list. To view the reason the record failed, scroll to the record in the list and hover the mouse over it. A tip will be displayed describing the reason the record failed the validation test.

NOTE: If a table contains records that did not pass the validation test the user is notified and invited to continue the import process with the understanding the failed records will not be imported.

When the Validation process is complete the user has the option of printing a validation report before continuing to the next step. To continue to the next and final step in the import process the user presses the Next>> button.

NOTE: At this point no data has been imported into the scheduling software. In addition to moving to Step 3 of the Import process the user also has the option of pressing the <<Back button to move back to Step 1 or pressing the Cancel button to cancel the process and return to the scheduling software.

Step 3 - Complete Import Process

When the user presses the Import Data button each record in each import file is processed into the scheduling software's database. As each record is processed a corresponding entry is made in the Import Status list in the form. When the process is complete the user is notified and prompted to print the import report before closing the Import Data facility. When the Import Facility is closed the user is returned to the scheduling software.

IMPORTANT: When the Complete Import Process is finished a log file is created detailing the changes made to the Scheduler database as a result of the Import. Log files are stored in the same directory as the Scheduler database to which the CSV data was imported. The files are named "CSVImport" + YYYYMMDD_hhmm am(pm) +".log" and can be read with any text editor such as Notepad.

--------------------------------------------------------------------------------

CSV Import Files

The fields and the order of the fields required for the CSV (Comma Separated Values) files in the Import Data facility are as follows ...

NOTE : * indicates a required field

Staff

  • Employee Number *
  • First Name *
  • Last Name *
  • Middle Initial
  • Address
  • City
  • Province/State (2 character abbreviation)
  • Country
  • Postal/Zip Code
  • Home Phone Number
  • Other Phone Number
  • Email Address
  • Emergency Contact Name
  • Emergency Contact Phone Number
  • Active Status (A - Active, anything else Inactive) *

Departments

  • Department Number *
  • Description *
  • Active *

Positions

  • Position Number *
  • Description *
  • Active *

Position/Wage (Optional - Only required if Multiple wage/position rates for staff are allowed)

  • Employee Number *
  • Position Number *
  • Hourly Wage *

NOTE : It is expected a CSV file will not contain a header record.

NOTE: Each field in a record in a CSV file must be separated by a comma. For fields that have no value a comma is still required.

Example 1:

The following is an example of a department CSV file created from an Excel ™ spreadsheet by saving it as a Comma Separated Values (CSV) file ...

1234,Department 1,A
1235,Department 2,A
1236,Department 3,A
1237,Department 4,A

This file describes 4 department records. The first field in each record is the Department Number, the second field is the Department Description, and the third field is the Active flag. NOTE: Any value other than A in the Active field is considered inactive.

Example 2:

The following is an example of a staff (employee) import file created from an Excel ™ spreadsheet by saving it as a Comma Separated Values (CSV)file ...

1129,Tom,Brown,X,123 Anywhere Street Apt. 3,Toronto,ON,Canada,A9A9A9,(999) 999-9999,,tombrown@dot.com,,,A
1146,Jane,Doe,,125 Main Street,Ottawa,ON,Canada,A9A9A9,(999) 999-9999,,,,,A
1579,Jim,Smith,,115-179 Centre Street,Kanata,ON,,A9A9A9,(999) 999-9999,(999) 888-8888,,,,A

NOTE: The commas in each record delimit (mark the start of) each field in the record. Even when there is no value being exported for the record a comma marks where the value would have been.


Reports

Use the "Reports" menu to select a report to view on-screen, publish as html, or optionally send to print.

  • 7 Day Schedule
  • 28 Day Schedule
  • Print Staff Schedules
  • Email Staff Schedules
  • Daily Sign In Sheet
  • Exception Report
  • Staff List
  • Staff Hours Report
  • Position Hours Report
  • Staff Cost Report
  • Staff Attendance Exceptions Report
  • Payroll Report
  • Staff Overtime Report
  • Scheduled/Actual Analysis
  • Labor Analysis
  • Export Schedule


7 Day Schedule

The 7 Day Schedule Report provides a seven-day calendar view of all staff assignments from all schedule plans over a 7-day period.

Based on your selection of the "Schedule From date", the 7-Day schedule displays:

  • staff member,

  • scheduled start time and end time,

  • total hours for the shift,

  • department,

  • position/task,

  • total hours for the staff member,

  • total hours for the day.

To show a 7-Day Schedule:

  1. Select a "Schedule From" date (top left-hand corner)

    Click     here to learn more about selecting dates in Staff Scheduler Professional.

  2. Select a "Departments" filter from the Department drop-down list.

  3. Click the "Preview" button in the command bar at the top of the form.

    The 7-day schedule is displayed according to your selections.

  4. Optionally, click "Print" to send the report to your printer.

  5. Optionally, click "Save as HTML" to save your report to an HTML file on your computer.

  6. Click the "Close" button to return to the schedule planner.

About "Save as HTML"

The "Save as HTML" feature allows you to save the schedule as an HTML file. HTML files can be published on a web site or distributed as attachments in emails.

The default file name of the html file is:

  • “7DaySchedule” plus

  • the start date of the schedule plus

  • the description of the department filter plus

  • an .html file extension


28 Day Schedule

The 28 Day Schedule Report provides a twenty-eight day calendar view of all staff assignments from all schedule plans over a 28-day period.

Based on your selection of the "Schedule From date", the 28 Day schedule displays:

  • department,

  • staff member,

  • scheduled start time and end time

To show a 28 Day Schedule

  1. Select a "Schedule From" date (top left-hand corner)

    Click     here to learn more about selecting dates in Staff Scheduler Professional.

  2. Select a "Departments" filter from the Department drop-down list.

  3. Click the "Preview" button in the command bar at the top of the form.

    The 28-day schedule is displayed according to your selections.

  4. Optionally, click "Print" to send the report to your printer.

  5. Optionally, click "Save as HTML" to save your report to an HTML file on your computer.

  6. Click the "Close" button to return to the schedule planner.

About "Save as HTML"

The "Save as HTML" feature allows you to save the schedule as an HTML file. HTML files can be published on a web site or distributed as attachments in emails.

The default file name of the html file is:

  • “28DaySchedule” plus

  • the start date of the schedule plus

  • the description of the department filter plus

  • an .html file extension


Print Staff Schedules

Use the "Print Staff Schedules" option to print schedules for individual staff members.

Based on start and end dates that you select, you can print a schedule of that time period for a single individual, a selected group, or all staff members. The schedules that are produced draw on scheduling assignments from all the schedule plans that fall within the period of the start and end dates that you select.

When the "Preview" check box is set "ON" (checked), you can preview a particular staff member’s schedule when you click on their name in the list.

To print staff schedules

  1. Select schedule "From" and "To" dates.

    By default, the "From” date is set to today's date.

    The “To” date is set to today's date plus the number of days you defined as "Schedule Length" in     System Setup .

  2. Select staff members.

    • Click on the Selected check box to the right of the name

    • or press the "Select All" button above the list of names.

      Schedules will only be printed for those staff members who are marked as "Selected".

  3. Click the "Print Schedules" button in the command bar at the bottom of the form to print schedules for selected staff members.

  4. Click the "Close" button to return to the schedule planner.

NOTE: Shift notes (entered while editing shifts with the Shifts Edit Dialog ) are displayed with scheduling assignments in the printed schedules.


Daily Sign In Sheet

Use the Daily Sign-In Sheet report to create sign-in sheets that your staff or managers will use to manually record actual hours as staff report for their scheduled assignments.

For a given period of time, the report lists departments and scheduled assignments including:

  • Scheduled start and end times

  • Position / Task

  • Staff name (or " Unassigned " if no staff assignment was given for a time bar)

Additionally, underlined spaces are printed to allow for entry by pen of:

  • Actual start and end times

  • Initials identifying the individual that records the information

  • Any brief comments that may be helpful while processing actual hours .

The report also allows you to print any number of blank lines below each department to allow for recording of unscheduled actuals.

To display Daily Sign In sheet

  1. Select the date to display (top left-hand corner)

    Click     here to lean more about selecting dates in Staff Scheduler Professional.

  2. Click either "By Position / Task" or "Staff" option button to set which columns to show in the second and third places.

  3. Select a "Departments" filter from the Department drop-down list.

  4. Click the "Show Unassigned" checkbox "ON" (checked) to also display assignments to which no staff member has yet been assigned.

  5. Select the number of blank lines to print after the assignments for each displayed department.

  6. Click the "Preview" button in the command bar at the top of the form.

  7. Optionally, click the "Print" button in the command bar at the top to send the list to the printer.

  8. Click the "Close" command button to display the Schedule Viewer.


Email Staff Schedules

Use the "Email Staff Schedules" option to email schedules to individual staff members.

Based on start and end dates that you select, you can email a schedule for that time period for a single individual, a selected group, or all staff members. The schedules that are produced draw on scheduling assignments from all the schedule plans that fall within the period of the start and end dates that you select.

To email staff schedules

  1. Select schedule "From" and "To" dates.

    By default, the "From” date is set to today's date.

    The “To” date is set to today's date plus the number of days you defined as "Schedule Length" in     System Setup .

  2. Select staff members.

    • Click on the Selected check box to the right of the name

    • or press the "Select All" button above the list of names.

      Schedules will only be emailed to those staff members who are marked as "Selected".

  3. Enter an Email Subject Line.

    By default, the subject line is displayed as “Schedule for” plus the “Schedules from” and “To” dates. You can enter any text you like for the subject line. The Email Subject Line is displayed as the "Subject" when received by your staff member's email program.

  4. Click the "Send Schedules" button in the command bar at the bottom of the form to send schedules to selected staff members.

  5. Click the "Close" button to return to the schedule planner.

NOTE: A staff member that has not been set up with an email address in the Staff Maintenance form is not eligible for selection in the list (the check box is disabled).

To receive a "Read Receipt"

  • Click the "Request Read Receipt" check box "ON" (checked)

  • When the staff member opens the email, you may receive an email message that the message has been viewed. However, there are several reasons why a read receipt acknowledgement may not be sent to you. When checked, all emails will be sent with a request for a read receipt.

    NOTE: You might not receive a read receipt for several reasons. When you send a message that requests a read receipt, the message recipient can decide whether to confirm receipt of the message; if the recipient chooses No, you won't receive a read receipt. If the recipient used a preview pane to read the message, then deleted the message without actually opening it, the recipient's email program won't prompt the recipient to send the read receipt. Finally, you won't receive a read receipt if the recipient doesn't read the message of if the recipient's email program doesn't support read receipts.

To send a file attachment

You may attach a file to all email messages you send such as a schedule plan that was saved as an HTML file or a Word Document or Excel Worksheet.

  1. Enter the file name including the exact path to the file or press the Browse button to display the file browser.

Select the file to attach to the emails and press the Open button.

You are returned to the Email Staff Schedules form and the name and path to the file are entered into the Attach File text box.

Pressing the Cancel button cancels the browse action and returns to the Email Staff Schedules form without selecting a file.

Important: If you have not set the “Mail Server Setup” values in the System maintenance form or if you have set them incorrectly you will receive errors when you click the Send Schedules button. Click here to learn more.


Exception Report

Use the "Exception Report" to display requests from staff members of unique or exceptional times that they are not available to be scheduled.

Schedule exceptions are singular dates and times that staff members will not be available during their usually available periods. Examples of common exceptions include vacation, personal days off, doctor appointments, etc.

Exceptions are entered in the "Staff" form in the "Maintenance" menu. Click here to learn more.

You may also display the "Staff" maintenance form by double-clicking on a staff name in the Staff List view. Click here to learn more.

The exception report is useful in determining what staff is not available for a given schedule period. If you attempt to schedule a staff member into a time slot that has been identified as an exception, a scheduling conflict message will appear.

To create an Exception Report

  1. Select "From" and "To" dates for the period you wish to view.

    Click     here to learn more about entering dates in Staff Scheduler Professional.

  2. Optionally, click the "Vacation Requests Only" checkbox "ON" (checked) to display only those exceptions marked as vacation requests.

  3. Click the "Preview Report" button in the command bar at the top of the form.

    A list of exceptions is displayed according to your selections.

  4. Optionally, click the "Print Report" button in the command bar at the top of the form to send the report to the printer.

  5. Click the "Close" button to return to the Schedule Planner.


Staff Hours Report

The Staff Hours Report provides the total hours scheduled for each staff member who is scheduled in the selected time period.

The report also totals the hours for all staff members over that same period.

To change the period for the report change the “From:” and/or “To:” dates at the top of the form. The report can also be filtered to Show or Hide the detail for each staff member by toggling the Show Staff Detail check box above the report.

The report can also provide a subtotal for each day in the report by toggling the Subtotal By Day check box. The report can also provide a subtotal for each department in the report by toggling the Subtotal By Department check box.

The drop down department list can be used to filter the report for one, a combination of selected, or all departments.

Click the check box beside a department to indicate you want it included in the filter selection.

Press the Print Report button to print the report to a selected printer.

Tip: To check for potential overtime scheduling, select an appropriate date range, i.e. one week, and show Staff Detail without Subtotal by Day or by Department. This will show the total numbers of hours the staff members are scheduled to work in the one week time period.

Pressing the Close button returns you to the main schedule planning worksheet form.


Staff List

Use the Staff List report to display a list of staff and their contact information.

You can list all staff or only those that are marked as active. Staff are can be marked as active by checking the "Active" checkbox in the Staff Maintenance form. Click here to learn more.

To list staff

  1. Optionally, check the "Show Active Staff Only" checkbox "OFF" or "ON"

  2. Click the "Preview Report" button in the command bar at the top of the form.

    A list of staff members and their contact information is displayed.

  3. Optionally, click the "Print Report" button to send the list to the printer.

  4. Click the "Close" button to return to the Scheduler Planner.


Position Hours Report

The Position/Task Hours Report provides the total hours scheduled for each position/task that is scheduled in a selected time period.

The report displays totals the hours for all positions/tasks over that same period.

To display Positions / Hours report

  1. Click either the "Actual" or "Scheduled" option button (top left-hand corner) to select the source data for the report.

  2. Select "Schedule From" and "Schedule To" dates (top left-hand corner)

    Click     here to learn more about selecting dates in Staff-Scheduler.

  3. Optionally, click the "Show Position Detail" checkbox "ON" to show detail for each position/task.

  4. Optionally, click the "Subtotal by Day" checkbox "ON" to show a subtotal of hours for each day.

  5. Optionally, click the "Subtotal by Department" checkbox "ON" to show a subtotal of hours for each department.

  6. Select departments to display:

    The drop down department list can be used to filter the report for one, a combination of selected, or all departments.

    Click the check box beside a department to indicate you want it included in the filter selection.

  7. Click the "Preview Report" button.

    A report is displayed according to your selections.

  8. Click the "Print Report" button in the command bar at the top to send the report to the printer.

  9. Click the "Close" button to display the Schedule Planner.


Staff Cost Report

The Staff Cost Report provides the total cost of time scheduled for each staff member who is scheduled in the selected time period.

The report also totals the cost for all staff members over that same period. For each day in the report, and the report in total the labor burden is reported as the percentage of the revenue budget (for the day and in total for all days in the report) along with the revenue budget.

The report will provide a labor burden calculation where possible. When a report is created to show sub-total by day, the report shows a labor burden calculation for the day.

To display Staff Cost report

  1. Click either the "Actual" or "Scheduled" option button (top left-hand corner) to select the source data for the report.

  2. Select "Schedule From" and "Schedule To" dates (top left-hand corner)

    Click     here to learn more about selecting dates in Staff Scheduler Professional.

  3. Optionally, click the "Show Position Detail" checkbox "ON" to show detail for each position/task.

  4. Optionally, click the "Subtotal by Day" checkbox "ON" to show a subtotal of hours for each day.

  5. Optionally, click the "Subtotal by Department" checkbox "ON" to show a subtotal of hours for each department.

  6. Select departments to display:

    The drop down department list can be used to filter the report for one, a combination of selected, or all departments.

    Click the check box beside a department to indicate you want it included in the filter selection.

  7. Click the "Preview Report" button.

    A report is displayed according to your selections.

  8. Click the "Print Report" button in the command bar at the top to send the report to the printer.

  9. Click the "Close" button to display the Schedule Planner.

NOTE: If you choose to subtotal by department the labor burden is not reported.

NOTE: The cost is calculated as the number of hours scheduled multiplied by the cost per hour as captured in the staff member’s profile or their Position/Wage details in the Staff maintenance form. Click here to learn more.

Tip: When department is used to break down the report, the summary line for the department will show the cost as a percentage of the revenue budget when the report is sub-totaled by day. This is an excellent way to monitor the labor cost of an individual department against the budgeted revenue.


Staff Attendance Exceptions Report

Use to display attendance exceptions over a given period of time.

The Staff Attendance Exceptions report is an aid to analyzing deviances in staff attendance, from your scheduled plan, as found in your actual hours.

When you process scheduled assignments into actual hours, you have the opportunity to indicate where staff members deviated from your plan by no reporting (No Show) or by being tardy (Late). The Staff Attendance Exceptions report lists these deviations over a selected period of time.

Click here to learn more about processing scheduled assignments into actual hours.

To display Staff Attendance Exceptions

  1. Select "From" and "To" dates (top left-hand corner)

    Click     here to learn more about selecting dates in Staff Scheduler Professional.

  2. Select a "Departments" filter from the Department drop-down list.

  3. Click the "Preview Report" button in the command bar at the top of the form.

    A list of attendance exceptions is displayed according to your selections.

  4. Optionally, click the "Print Report" button in the command bar at the top to send the report to the printer.

  5. Click the "Close" button to display the Schedule Planner.


Payroll Report

Use the Payroll Report to display a list of hours and total wages, by employee and for each day in the selected period.

Using actual hours that you maintain, for each employee and for each day, hours worked are listed and broken down to show:

  • Regular Hours

  • Overtime Hours

  • Hours worked during Statutory Holiday time

  • Total wages.

Click here to learn more about maintaining Actual Hours.

To display Payroll report

  1. Select the number of days upon which to report from the start date of the report.

  2. Select a starting date (top left-hand corner)

    Click     here to learn more about selecting dates in Staff Scheduler Professional.

  3. Select a "Departments" filter from the Department drop-down list.

  4. Click the "Show Wages" checkbox "ON" (checked) to display wages in the final column of the report.

  5. Click the "Preview Report" button in the command bar at the top of the form.

    The Payroll Report is displayed according to your selections.

  6. Optionally, click "Print" to send the report to your printer.

  7. Optionally, click the "Export Payroll Data" button in the command bar at the top to create and save a CSV file of the displayed report:

    IMPORTANT NOTE: Only payroll reports for periods subsequent to the Last Payroll Export Date will have the "Export Payroll Data" button enabled.

    NOTE: The Last Payroll Export Date is reported in the top left of the form under the number of days selected for the report.

Exporting the Payroll Data

When the "Export Payroll Data" button is clicked the Export Payroll Data dialog is displayed and you are prompted to confirm (complete) the Stat Not Worked hours and Other$ values for each position worked for a given employee.

Once the values have been confirmed you can print a report for your records by pressing the "Print Report" button and then you can create the comma separated values (csv) file containing the payroll data by pressing the "Create Export File" button. When the "Create Export File" button is clicked you are prompted to select a location and a name for the export file.

NOTE: By default, the name of the file is set to "PRExport" plus the date (month, day, & year) plus the ".CSV" file name extension. Also by default, the location that the file will be saved is in the "Export" folder under Staff Scheduler Professional's installation location.

When the export is complete you are notified with a dialog.

When the OK button is clicked you are returned to the original Payroll Report form and prompted to confirm that Export Payroll function completed successfully.

When you press the "Yes" button the Last Payroll Export Date in the system is set to the last day of the payroll period exported. This effectively locks all Actual Hours records prior to the date to prevent them from being changed and locks all the Position/Wage records with effective dates prior to the Last Payroll Export Date. This insures the integrity of the data used to feed the external payroll system and provides an audit trail to the hours and wages in the Actual Hours records.

When you are finished with the Payroll Report interface, click the "Close" button in the command bar to return to the Scheduler Planner.


Staff Overtime Report

Use the Staff Overtime report to display a list of hours worked by staff over a given period of time.

NOTE: Details that include overtime hours have an "*" beside them.

For each staff member, the report displays, by day, scheduled or actual hours as:

  • Total All Hours

  • Regular Hours

  • Daily Overtime

  • Weekly Overtime

Click here to learn more about overtime hours.

To display Staff Overtime report

  1. Click either the "Actual" or "Scheduled" option button to select the source data for the report.

  2. Select schedule "From" and "To" dates.

    Click     here to learn more about selecting dates in Staff Scheduler Software.

  3. Click the "Preview Report" button in the command bar at the top.

    The Staff Overtime report is displayed according to your selections.

  4. Optionally, click the "Print Report" button in the command bar at the top to send the report to the printer.

  5. Click the "Close" button to display the Schedule Planner.


Scheduled/Actual Analysis

Use the Scheduled/Actual Analysis report to assist you in evaluating and improving your scheduling function by comparing your scheduled hours and cost to your actual hours and cost.

The report details the scheduled and actual hours and cost for regular, overtime, and statutory holidays along with the variance between scheduled and actual for each position in a department.

To display Scheduled/Actual Analysis report

  1. Select schedule "From" and "To" dates.
  2. Select a Department or All Departments from the drop down list.

  3. Click the "Preview Report" button in the command bar at the top.

    The Scheduled/Actual Analysis report is displayed according to your selections.

  4. Optionally, click the "Print Report" button in the command bar at the top to send the report to the printer.

  5. Click the "Close" button to display the Schedule Planner.


Labor Analysis

Use the Labor Analysis report to assist you in evaluating and improving your scheduling function by comparing your Scheduled and Actual Hours, Cost, Covers per Labor Hour, and Cost per Cover and providing you with a variance between the two.

The report can be run to include/exclude Position/Task detail and Daily detail for any selected period of time.

To display Labor Analysis report

  1. Select "From" and "To" dates.
  2. Select a to include/exclude Position Detail.
  3. Select to include/exclude Daily Totals.

  4. Click the "Preview Report" button in the command bar at the top.

    The Labor Analysis report is displayed according to your selections.

  5. Optionally, click the "Print Report" button in the command bar at the top to send the report to the printer.

  6. Click the "Close" button to display the Schedule Planner.


Export Schedule

The scheduling software Export Schedule functionality is designed to assist the user in generating schedules into a "csv" (comma separated values) format suitable for import into other software systems or use in spreadsheet software..

The Export Schedule Wizard

The Export Schedule functionality is accessed by selecting "Export Schedule" from the Reports menu in the staff scheduling software. When the Export Schedule Wizard is first opened the user is prompted to enter the parameters describing the schedule to be exported.

NOTE: The bottom of the form displays the description of the last export schedule operation performed.

  • Destination File Path\Name - Describes the location and name of the file into which the schedule is exported. The user has the option of typing in the location of the file or pressing the Browse button to browse to the appropriate drive/directory/filename.
  • Export Schedule - Three items that describe the schedule being exported: For <# of Days> days from <Start Date> for <Department criteria>
  • # of Days - the number of days including the start date of the schedule to be exported. The user can enter a number (1 - 999) or click the up and down arrows to set the number of days.
  • Start Date - the schedule start date. In conjunction with the # of Days defines the duration of the schedule. The can enter a date (month/day/year) click the up/down buttons to change the selected date, or click the down arrow beside the field to select a date from the calendar.
  • Department criteria - the user has the option of generating a schedule for all departments or one selected department by clicking the down arrow and selecting the appropriate item in the drop down list.

NOTE: The application stores the last used location and name for the export file and the last used criteria (# of days, start date, and department) and presets the values when the application is first started to assist the user in quickly setting the above information from one session to the next.

When the export criteria has been set the user presses the "Export Schedule" button to generate the export file into the location described in the Destination File Path/Name.

NOTE: If the selected destination file already exists the user is warned and prompted to overwrite the existing file or cancel the request and change the output file.

The user is notified of the progress of the export operation in the Status area of the form as each shift is generated into the export file. When the export operation is complete, the user is notified and warned if any records encountered an error in the export operation.

IMPORTANT: The Employee, Position, and Department information used in the export functionality is described by the External ID value in each entity. To use the export schedule functionality it is recommended these numbers be set to accurately represent the entities outside of the staff scheduling software.

When the process is complete the user has the option of creating another export file or closing the Export Schedule window. When the Export Schedule Facility is closed the user is returned to the scheduling software.

Schedule Export File

The fields and the order of the fields for each shift generated by the Schedule export facility are as follows:

IMPORTANT: The Employee, Position, and Department information used in the export functionality is described by the External ID values for each entity. Please insure that these values are entered correctly so as to sync the exported data with the intended use of the schedule detail outside of the staff scheduling software.

  • Employee Ext. ID - The External ID value in the Employee record describing the employee performing the shift.
  • Date - The date on which the shift begins (mm/dd/yyyy).
  • Department Ext. ID - The External ID value in the Department record describing the department in which the shift takes place.
  • Position Ext. ID - The External ID value in the Position record describing the position/task being performed in the shift.
  • Start Time - The time on which the shift begins (hh:mm A/P).
  • End Time - The time at which the shift ends (hh:mm A/P). NOTE: The End Time may be less than the Start Time if the shift goes over midnight.
  • Unpaid Minutes - The number of unpaid minutes in the shift (## MINS).

NOTE: The export file contains a header record describing each of the columns in a record. The export file is sorted by Employee Ext. ID and then Date, Time Start.

Example: The following is an example of a schedule export file ...

Employee Ext. ID,Date,Department Ext. ID,Position Ext. ID,Start Time,End Time,Unpaid Minutes
CR0101,12/08/2008,K001,PSUCH,04:00 P,12:00 A,0 MINS
CR0101,12/09/2008,K001,PSUCH,04:00 P,12:00 A,0 MINS
CR0102,12/07/2008,D001,PCASH,09:00 A,02:00 P,0 MINS
CR0103,12/08/2008,D001,PCASH,11:30 A,04:00 P,0 MINS
CR0103,12/09/2008,D001,PCASH,11:30 A,04:00 P,0 MINS
CR0103,12/10/2008,D001,PCASH,11:30 A,04:00 P,0 MINS
CR0103,12/11/2008,D001,PCASH,11:30 A,04:00 P,0 MINS
CR0103,12/12/2008,D001,PCASH,11:30 A,04:00 P,0 MINS
CR0103,12/13/2008,D001,PWAIT,05:00 P,11:00 P,0 MINS
CR0103,12/13/2008,D001,PCLOS,11:00 P,01:00 A,0 MINS
CR0104,12/07/2008,K001,PEXCH,10:30 A,07:00 P,30 MINS
CR0104,12/08/2008,K001,PEXCH,10:30 A,07:00 P,0 MINS
CR0104,12/09/2008,K001,PEXCH,10:30 A,07:00 P,0 MINS
CR0104,12/10/2008,K001,PEXCH,10:30 A,07:00 P,0 MINS
CR0104,12/11/2008,K001,PEXCH,10:30 A,07:00 P,0 MINS

This file describes 15 shifts. The first field in each shift is the Employee's External ID Number, the second field is the shift start date of the shift, the third field is the Department External ID, the fourth field is the Position External ID, the fifth field is the shift start time, the sixth field is shift end time, and the seventh field is the unpaid break minutes in the shift.

NOTE: The commas in each record delimit (mark the start of) each field in the record. Even when there is no value being exported for the record a comma marks where the value would have been.


Help

Use the Help menu to access online help and to display important information about Staff Scheduler Professional and the version of software that you are using.

Click Contents, Index, or Search to display the help file in each of those modes.

Click "About" to display a window that is similar to the splash screen .

The "About" window tells you what version of Staff Scheduler Professional you are using (upper left-hand corner).

It also tells you where the Staff Scheduler Professional database, to which you are connected, is located.

NOTE: Double clicking on the "Connected to" label copies the database location to the cut and paste buffer, making it easy to navigate the file explorer to the exact location of the database file.

You can also use the hyperlink ( www.staff-scheduler.com ) as a quick way to reach our web site online.


Lists

Lists are important quick-access to those items to be scheduled in your plan..

You use lists to drag and drop departments, positions, staff into your plan in the schedule planner view.

For your convenience, lists may be hidden, allowing you to view more or your plan.

However they are easily and quickly re-displayed for convenient access.

To display or hide lists

  1. Right-click in any unscheduled area in the schedule planner.

    A pop-up menu is displayed.

  2. Select a list to view or hide from the list.

    NOTE: Displayed lists are shown as checked in the pop-up menu.


Departments

List that displays all active departments.

Drag and Drop departments into the schedule planner to make them a part of your plan.

NOTE: Double click on an item in the list to display the item in its Maintenance form.

To display / hide the Departments list

  1. Right-click on the scheduler planner in an unscheduled area.

    A pop-up menu is displayed.

  2. Select the "Departments" option

    The Departments list is displayed or hidden to the left of the schedule planner.


Positions / Tasks

List that displays all active positions / tasks.

Drag and Drop positions / tasks into the schedule planner to make them a part of your plan.

NOTE: Double click on an item in the list to display the item in its Maintenance form.

To display / hide the Positions / Tasks list:

  1. Right-click on the scheduler planner in an unscheduled area.

    A pop-up menu is displayed.

  2. Select the "Positions/Tasks" option

    The Positions / Task list is displayed or hidden to the left of the schedule planner.


Staff

List that displays all active staff.

Drag and Drop staff into the schedule planner to make them a part of your plan.

NOTE: Double click on an item in the list to display the item in its Maintenance form.

To display / hide the Staff list

  1. Right-click on the scheduler planner in an unscheduled area.

    A pop-up menu is displayed.

  2. Select the "Staff" option

    The Staff list is displayed or hidden to the left of the schedule planner.


Budget

List that displays your plan's current labor cost against your projected revenues and your desired percentage of labor cost.

The budget figures are automatically updated as you make any changes or additions to your plan.

NOTE: If the width of the list area is too small to view the entire budget list hover the mouse of the desired day to see a tip containing all of the day's detail.

NOTE: Items that are over the labor target or under the Covers per Labor Hour target are marked in red.

To display / hide the Budget list

  1. Right-click on the scheduler planner in an unscheduled area.

    A pop-up menu is displayed.

  2. Select the "Budget" option

    The Budget list is displayed or hidden to the left of the schedule planner.

TIP: DBI recommends that you do not view the Budget List while you are in the early stages of developing your schedule plan. Budget recalculations are automatic and may take a few seconds. Rather, view the Budget List as you finalize your plan and are making adjustments to staff assignments to time bars .


Available Staff

List that shows all staff that are available (not in a scheduling or experience conflict) for a selected shift based on the Available Filter Criteria.

Select a time bar to view available staff in this list.

You may increase or decrease the number of available staff in the list by adjusting the " Available Filter Criteria ".

NOTE: Double click on an item in the list to display the item in its Maintenance form.

To display / hide the Available Staff list

  1. Right-click on the scheduler planner in an unscheduled area.

    A pop-up menu is displayed.

  2. Select the "Available" option

    The Available list is displayed or hidden to the left of the schedule planner.


Scheduler Bar

Vertical menu that provides quick access to multiple lists of:

  • all available active schedule plans .

  • items used to create and maintain schedule plans
    (     Departments , Positions/Tasks , and Staff )

  • reports

  • maintenance forms

To change lists, click on the list title that you wish to display.

To show or hide the Scheduler Bar

  1. Right-click on any blank area of the schedule planner

    A pop-menu is displayed.

  2. Click the "Scheduler Bar" option to show or hide the bar.


Explorer

Collapsible lists of items that are used in a schedule plan. The Explorer provides quick access to active departments, positions, and staff.

Lists of items may be collapsed or opened by clicking on the + and - signs in the list.

Once opened, items in the lists can be dragged and dropped onto the scheduler planning area.

NOTE: Double clicking on an item in a list opens the appropriate Maintenance form for the item.

NOTE: Hovering the mouse over an item in the list displays the Notes for that item in a tip.

To show or hide the Explorer

  1. Right-click on any blank area of the schedule planner

    A pop-up menu is displayed.

  2. Click the "Explorer" option to show or hide the explorer.


Available Filter

If you have turned Staff-Scheduler's conflict checking features and you wish to limit or turn off some of these features, conflict checking characteristics can be customized to suit your scheduling needs.

To turn conflict checking features on or off

  1. Right-click in an empty area of the schedule planner .

    A pop-up menu is displayed.

  2. Click the last option in the menu, "Available" filter.

    The "Available Filter Criteria" pop-menu is displayed (see above).

  3. Check any options you wish to enable or disable by clicking the check boxes "OFF" or "ON"

  4. Click the "X" button (Close Window) to close the pop-up and return to the "Schedule Planner".


Common Data Entry controls


Date Entry

Throughout Staff Scheduler Professional, date values are entered using the special date-edit field.

The date-edit field has a built-in drop-down calendar for easy date selection.

To select a date from the drop-down calendar

  1. Click the down-arrow

    A calendar is displayed.

  2. Select a date from the displayed month by clicking on it or choose a new month by clicking on "Previous Month" or "Next Month" arrows at the top of the calendar.

  3. You can also display today's date immediately by clicking the "Today" button at the bottom of the calendar.

Entering dates with the keyboard

You may also enter dates directly into the field by typing in a date value.

The date-edit field has special built-in features that allow you to type a variety of abbreviated date values into the field. For instance, if you enter:

or

and press enter or tab, the date-edit field will automatically interpret the date and display:

You may also enter a conventional date value such as "12/4/05" or "12/04/2005".

"Spinning" to a new date

Finally, you move the date ahead or back one day at a time by clicking either "spinner" buttons:

Hold down either button to rapidly move ahead or forward to a new date or click once to move one day at a time.

A list that opens when an arrow button is clicked and stays open until a list item is selected or the mouse is clicked elsewhere on the form.


Time Entry

Throughout Staff Scheduler Professional, time values are entered using the special time-edit field.

The time-edit field has built-in "spinner" buttons to move the time value forward or backward in 15-minute intervals.

To change the time value using the spinner buttons

  1. Click either spinner button once to move ahead or back by 15 minutes.

  2. Alternatively, click and hold down the mouse button on either spinner button to change the time value rapidly forward or back in 15 minute intervals.

Entering time values with the keyboard

You may also enter time directly into the field by typing in a time value.

The time-edit field has special built-in features that allow you to type a variety of abbreviated time values into the field. For instance, if you enter:

or

and press enter or tab, the time-edit field will automatically interpret the time and display:


Find in List

Throughout Staff Scheduler Professional, the "Find ... " field can be used to quickly locate and highlight an item in a list.

To "Find" an item in a list

  1. Enter the first few letters of the item's description or name.

    The list will highlight the first matching item as you type.

  2. Once the item is located, click the item to select it.

NOTE: When the list also displays the "Active Only" checkbox, you may also refine your search to include either all items or only those that are marked "Active".


Shortcuts and Hot-key Combinations

With the menu options that help you navigate throughout your plan, Staff Scheduler Professional also includes helpful hot-key combinations that are shortcuts to the same navigation functions.

To use a hot-key combination

  1. Press and hold the first key in the combination (e.g. the "Alt" key)
  2. Then press the next key in the combination.
  3. Release both keys.

Navigation

Hot-Key Combination | Result
Ctrl + Home | Move to the beginning of a schedule plan (first day)
Ctrl + End | Move to the end of a schedule plan (last day)
Shift + Home | Move to the top of the plan (top items)
Shift + End | Move to the bottom of the plan (bottom items)
Alt + d | Move to Previous Day
Alt + n | Move to Next Day

Views

Hot-Key Combination | Result
Alt + i | Zoom in
Alt + o | Zoom out
Alt + s | View Plan by Staff
Alt + t | View Plan by Positions/Tasks
Alt + z | Refresh schedule data (for multi-user use)

Tip: You can move to any day in the schedule by displaying the Budget list and double-clicking on a listed day. This repositions the schedule plan to the start of the selected day.

Tip: You can "roll-up" departments so that their staff or positions and time bars are not displayed. Simply double-click on a department header on the left of the schedule planner to roll-up or roll-down the details for that department. Rolled-up department headers are displayed with an "Olive" background. Rolled-down department headers are dark blue.


Getting More Help

If you need more help or you find that you have questions that are not answered by this documentation, you can contact DBI Technologies directly for personalized attention:

Submit a support request: | Click here !
Send an email to support: | Click here !
View Staff-Scheduler FAQ | Click here !


View the Frequently Asked Questions (FAQ)

Frequently Asked Questions

Until you become familiar with Staff Scheduler Professional, you may have questions about its features and functionality. DBI provides a "Frequently Asked Questions" (FAQ) web page that contains answers many commonly asked questions about Staff Scheduler Professional.

To view the Staff-Scheduler FAQ

Click here !


Submitting a Support Request Form

Support Request Form

Email help and support from DBI is free when made through our Support Request Form at our web site.

To submit a support request:

Click here !


Sending an Email for Support

Email Staff-Scheduler Support

You may email Staff-Scheduler support directly at any time.

To send an email to support:

Click here !


Overtime

Staff-Scheduler uses the overtime rate multiplier to factor additional labor costs due to scheduled staff overtime.

Overtime is calculated after a set number of hours in a day and / or a set number of hours in a week.

To setup overtime calculations:

  1. Enter the number of hours after which overtime is accrued in a day.

  2. Enter the number of days after which overtime is accrued in a week.

  3. Enter the day of the week on which the work week starts.

  4. Enter an the rate at which a staff member's basic rate is multiplied (Overtime Rate Multiplier) when overtime has been scheduled.

  5. Enter an the rate at which a staff member's basic rate is multiplied (Statutory Holiday Rate Multiplier) when staff are scheduled to work on a holiday.

  6. Click the "Statutory Holidays" button to enter holidays into the schedule.
    The Statutory Holidays form is displayed.


Setting Up the System Settings

Setting up the System

The System setup form allows you to provide Staff Scheduler Professional with the general information that will be used every time you start software and work with your schedule plans.

NOTE : When System Security (password protection) is enabled, this System form is available only to users that have been given System Administrator privileges.


Statutory Holidays

Staff-Scheduler uses the statutory holiday rate multiplier to factor additional labor costs due to staff being scheduled on those days that you add to this form.

Holidays may be marked as always repeating on the same day of each year.

To add statutory holidays to your schedule plans:

  1. Click the "New" button in the command bar at the top of the form.

  2. Enter the "Name" of the holiday at the bottom of the form.

  3. Enter the "Date" of the holiday.
    Click here to lean more about date entry in Staff-Scheduler.

  4. Set the "Always on this day ... " checkbox "ON" (checked) if the holiday always falls on the same date each year.

  5. Click the "Save" button.
    Your holiday is added to list area with all holidays you have entered.

  6. Repeat steps 1-5 to enter all holidays that impact on your scheduling and labor costs.

  7. Click the "Close " button in the command bar at the top of the form when you are done.